declare namespace _default {
    export { Tensor };
    export { Matrix };
    export { Graph };
    export { Complex };
    export namespace models {
        export { A2CAgent };
        export { LBABOD };
        export { ABOD };
        export { ADALINE };
        export { ADAMENN };
        export { AdaptiveThresholding };
        export { AffinityPropagation };
        export { CentroidAgglomerativeClustering };
        export { CompleteLinkageAgglomerativeClustering };
        export { GroupAverageAgglomerativeClustering };
        export { MedianAgglomerativeClustering };
        export { SingleLinkageAgglomerativeClustering };
        export { WardsAgglomerativeClustering };
        export { WeightedAverageAgglomerativeClustering };
        export { AkimaInterpolation };
        export { ALMA };
        export { AODE };
        export { AR };
        export { ARMA };
        export { AROW };
        export { ART };
        export { AssociationAnalysis };
        export { Autoencoder };
        export { AutomaticThresholding };
        export { AverageShiftedHistogram };
        export { BalancedHistogramThresholding };
        export { Ballseptron };
        export { Banditron };
        export { BayesianLinearRegression };
        export { BayesianNetwork };
        export { BernsenThresholding };
        export { BesselFilter };
        export { BilinearInterpolation };
        export { BIRCH };
        export { BisectingKMeans };
        export { BOGD };
        export { BoxCox };
        export { BPA };
        export { BrahmaguptaInterpolation };
        export { BRIDGE };
        export { MulticlassBSGD };
        export { BSGD };
        export { BudgetPerceptron };
        export { ButterworthFilter };
        export { C2P };
        export { Canny };
        export { CAST };
        export { CategoricalNaiveBayes };
        export { CatmullRomSplines };
        export { CentripetalCatmullRomSplines };
        export { CHAMELEON };
        export { ChangeFinder };
        export { ChebyshevFilter };
        export { CLARA };
        export { CLARANS };
        export { CLIQUE };
        export { CLUES };
        export { CoTraining };
        export { COF };
        export { COLL };
        export { ComplementNaiveBayes };
        export { ConfidenceWeighted };
        export { SoftConfidenceWeighted };
        export { CosineInterpolation };
        export { CRF };
        export { CubicConvolutionInterpolation };
        export { CubicHermiteSpline };
        export { CubicInterpolation };
        export { CumulativeMovingAverage };
        export { CumSum };
        export { CURE };
        export { DiscriminantAdaptiveNearestNeighbor };
        export { DBCLASD };
        export { DBSCAN };
        export { DecisionTreeClassifier };
        export { DecisionTreeRegression };
        export { DelaunayInterpolation };
        export { DemingRegression };
        export { DENCLUE };
        export { DIANA };
        export { DiffusionMap };
        export { DiSH };
        export { DOC };
        export { FastDOC };
        export { DQNAgent };
        export { DrakeKMeans };
        export { DTSCAN };
        export { DPAgent };
        export { ElasticNet };
        export { ElkanKMeans };
        export { EllipticFilter };
        export { ELMClassifier };
        export { ELMRegressor };
        export { ENaN };
        export { ENN };
        export { EnsembleBinaryModel };
        export { ExponentialMovingAverage };
        export { ModifiedMovingAverage };
        export { ExtraTreesClassifier };
        export { ExtraTreesRegressor };
        export { FastMap };
        export { FINDIT };
        export { Forgetron };
        export { FuzzyCMeans };
        export { FuzzyKNN };
        export { GAN };
        export { GasserMuller };
        export { GaussianProcess };
        export { GBDT };
        export { GBDTClassifier };
        export { GeneralizedESD };
        export { GeneticAlgorithmGeneration };
        export { GeneticKMeans };
        export { GMeans };
        export { GMM };
        export { GMR };
        export { SemiSupervisedGMM };
        export { GPLVM };
        export { GrowingCellStructures };
        export { GrowingNeuralGas };
        export { GSOM };
        export { GTM };
        export { HamelryKMeans };
        export { HampelFilter };
        export { HartiganWongKMeans };
        export { HDBSCAN };
        export { Histogram };
        export { HLLE };
        export { ContinuousHMM };
        export { HMM };
        export { HoltWinters };
        export { HopfieldNetwork };
        export { Hotelling };
        export { HuberRegression };
        export { ICA };
        export { CELLIP };
        export { IELLIP };
        export { IKNN };
        export { IncrementalPCA };
        export { INFLO };
        export { InverseDistanceWeighting };
        export { InverseSmoothstepInterpolation };
        export { ISODATA };
        export { IsolationForest };
        export { Isomap };
        export { IsotonicRegression };
        export { KalmanFilter };
        export { KDEOS };
        export { KernelDensityEstimator };
        export { KernelKMeans };
        export { KernelizedPegasos };
        export { KernelizedPerceptron };
        export { KHarmonicMeans };
        export { KLIEP };
        export { KMeans };
        export { KMeanspp };
        export { KMedians };
        export { KMedoids };
        export { SemiSupervisedKMeansModel };
        export { KModes };
        export { KNN };
        export { KNNAnomaly };
        export { KNNDensityEstimation };
        export { KNNRegression };
        export { SemiSupervisedKNN };
        export { KPrototypes };
        export { KSVD };
        export { KolmogorovZurbenkoFilter };
        export { LabelPropagation };
        export { LabelSpreading };
        export { LadderNetwork };
        export { LagrangeInterpolation };
        export { LanczosInterpolation };
        export { Laplacian };
        export { LaplacianEigenmaps };
        export { Lasso };
        export { LatentDirichletAllocation };
        export { LBG };
        export { FishersLinearDiscriminant };
        export { LinearDiscriminant };
        export { LinearDiscriminantAnalysis };
        export { MulticlassLinearDiscriminant };
        export { LDF };
        export { LDOF };
        export { LeastAbsolute };
        export { LeastSquares };
        export { LinearInterpolation };
        export { LLE };
        export { LeastMedianSquaresRegression };
        export { LMNN };
        export { LOCI };
        export { LOESS };
        export { LOF };
        export { LoG };
        export { LogarithmicInterpolation };
        export { LogisticRegression };
        export { MultinomialLogisticRegression };
        export { LoOP };
        export { LOWESS };
        export { LowpassFilter };
        export { LpNormLinearRegression };
        export { LSA };
        export { LSDD };
        export { LSDDCPD };
        export { LSIF };
        export { LeastTrimmedSquaresRegression };
        export { LTSA };
        export { LVQClassifier };
        export { LVQCluster };
        export { MacQueenKMeans };
        export { MAD };
        export { MADALINE };
        export { MarginPerceptron };
        export { MarkovSwitching };
        export { MultivariateAdaptiveRegressionSplines };
        export { MaxAbsScaler };
        export { MaximumLikelihoodEstimator };
        export { MCD };
        export { MixtureDiscriminant };
        export { MDS };
        export { MeanShift };
        export { MetropolisHastings };
        export { MinmaxNormalization };
        export { MIRA };
        export { MLLE };
        export { MLPClassifier };
        export { MLPRegressor };
        export { MOD };
        export { MONA };
        export { MonotheticClustering };
        export { MCAgent };
        export { Mountain };
        export { LinearWeightedMovingAverage };
        export { SimpleMovingAverage };
        export { TriangularMovingAverage };
        export { MovingMedian };
        export { MT };
        export { MutualInformationFeatureSelection };
        export { MutualKNN };
        export { NCubicInterpolation };
        export { NLinearInterpolation };
        export { NadarayaWatson };
        export { NaiveBayes };
        export { NaiveBayesRegression };
        export { NAROW };
        export { NaturalNeighborInterpolation };
        export { NeighbourhoodComponentsAnalysis };
        export { NearestCentroid };
        export { NegationNaiveBayes };
        export { NeuralGas };
        export { ComputationalGraph };
        export { Layer };
        export { NeuralnetworkException };
        export { NeuralNetwork };
        export { NiblackThresholding };
        export { NICE };
        export { NLMeans };
        export { NMF };
        export { NNBCA };
        export { NOF };
        export { NormalHERD };
        export { OAPBPM };
        export { OCSVM };
        export { ODIN };
        export { OnlineGradientDescent };
        export { OPTICS };
        export { ORCLUS };
        export { OrderedLogisticRegression };
        export { OrderedProbitRegression };
        export { OtsusThresholding };
        export { PAM };
        export { ParticleFilter };
        export { PassingBablok };
        export { PA };
        export { PAUM };
        export { AnomalyPCA };
        export { DualPCA };
        export { KernelPCA };
        export { PCA };
        export { PossibilisticCMeans };
        export { PCR };
        export { Pegasos };
        export { PercentileAnormaly };
        export { AveragedPerceptron };
        export { MulticlassPerceptron };
        export { Perceptron };
        export { PhansalkarThresholding };
        export { PLS };
        export { PLSA };
        export { PoissonRegression };
        export { PGAgent };
        export { PolynomialHistogram };
        export { PolynomialInterpolation };
        export { ProjectionPursuit };
        export { PRank };
        export { Prewitt };
        export { PriestleyChao };
        export { PrincipalCurve };
        export { ProbabilisticPCA };
        export { ProbabilityBasedClassifier };
        export { MultinomialProbit };
        export { Probit };
        export { PROCLUS };
        export { Projectron };
        export { Projectronpp };
        export { PTile };
        export { QTableBase };
        export { QAgent };
        export { QuadraticDiscriminant };
        export { QuantileRegression };
        export { RadiusNeighbor };
        export { RadiusNeighborRegression };
        export { SemiSupervisedRadiusNeighbor };
        export { RamerDouglasPeucker };
        export { RandomForestClassifier };
        export { RandomForestRegressor };
        export { RandomProjection };
        export { RankNet };
        export { RANSAC };
        export { RadialBasisFunctionNetwork };
        export { GBRBM };
        export { RBM };
        export { RBP };
        export { RDF };
        export { RDOS };
        export { KernelRidge };
        export { MulticlassRidge };
        export { Ridge };
        export { RKOF };
        export { RecursiveLeastSquares };
        export { RepeatedMedianRegression };
        export { RNN };
        export { RobertsCross };
        export { RobustScaler };
        export { ROCK };
        export { AggressiveROMMA };
        export { ROMMA };
        export { RVM };
        export { S3VM };
        export { Sammon };
        export { SARSAAgent };
        export { SauvolaThresholding };
        export { SavitzkyGolayFilter };
        export { SDAR };
        export { SegmentedRegression };
        export { SelectiveNaiveBayes };
        export { SelectiveSamplingAdaptivePerceptron };
        export { SelectiveSamplingPerceptron };
        export { SelectiveSamplingSOP };
        export { SelectiveSamplingWinnow };
        export { SelfTraining };
        export { SemiSupervisedNaiveBayes };
        export { SezanThresholding };
        export { ShiftingPerceptron };
        export { ILK };
        export { SILK };
        export { SincInterpolation };
        export { SlicedInverseRegression };
        export { Slerp };
        export { SliceSampling };
        export { SMARegression };
        export { SmirnovGrubbs };
        export { SmoothstepInterpolation };
        export { Snakes };
        export { Sobel };
        export { SoftKMeans };
        export { SOM };
        export { SecondOrderPerceptron };
        export { SpectralClustering };
        export { SmoothingSpline };
        export { SplineInterpolation };
        export { SplitAndMerge };
        export { SquaredLossMICPD };
        export { SST };
        export { Standardization };
        export { StatisticalRegionMerging };
        export { STING };
        export { Stoptron };
        export { SVC };
        export { SVM };
        export { SVR };
        export { TheilSenRegression };
        export { Thompson };
        export { TietjenMoore };
        export { TighterPerceptron };
        export { TightestPerceptron };
        export { TrigonometricInterpolation };
        export { SNE };
        export { tSNE };
        export { TukeyRegression };
        export { TukeysFences };
        export { RuLSIF };
        export { uLSIF };
        export { UMAP };
        export { UniversalSetNaiveBayes };
        export { VAE };
        export { VAR };
        export { VBGMM };
        export { VotedPerceptron };
        export { WeightedKMeans };
        export { WeightedKNN };
        export { WeightedLeastSquares };
        export { Winnow };
        export { Word2Vec };
        export { XGBoost };
        export { XGBoostClassifier };
        export { XMeans };
        export { YeoJohnson };
        export { YinyangKMeans };
        export { ZeroInflatedNegativeBinomial };
        export { ZeroInflatedPoisson };
        export { ZeroTruncatedPoisson };
    }
    export namespace rl {
        export { AcrobotRLEnvironment };
        export { RLEnvironmentBase };
        export { RLIntRange };
        export { RLRealRange };
        export { EmptyRLEnvironment };
        export { BlackjackRLEnvironment };
        export { BreakerRLEnvironment };
        export { CartPoleRLEnvironment };
        export { DraughtsRLEnvironment };
        export { GomokuRLEnvironment };
        export { GridMazeRLEnvironment };
        export { InHypercubeRLEnvironment };
        export { SmoothMazeRLEnvironment };
        export { MountainCarRLEnvironment };
        export { PendulumRLEnvironment };
        export { ReversiRLEnvironment };
        export { WaterballRLEnvironment };
    }
    export namespace evaluate {
        export { accuracy };
        export { cohensKappa };
        export { fScore };
        export { precision };
        export { recall };
        export { davisBouldinIndex };
        export { diceIndex };
        export { dunnIndex };
        export { fowlkesMallowsIndex };
        export { jaccardIndex };
        export { purity };
        export { randIndex };
        export { silhouetteCoefficient };
        export { coRankingMatrix };
        export { correlation };
        export { mad };
        export { mae };
        export { mape };
        export { mse };
        export { msle };
        export { r2 };
        export { rmse };
        export { rmsle };
        export { rmspe };
    }
}
export default _default;
import Tensor from './util/tensor.js';
import Matrix from './util/matrix.js';
import Graph from './util/graph.js';
import Complex from './util/complex.js';
import A2CAgent from './model/a2c.js';
import { LBABOD } from './model/abod.js';
import ABOD from './model/abod.js';
import ADALINE from './model/adaline.js';
import ADAMENN from './model/adamenn.js';
import AdaptiveThresholding from './model/adaptive_thresholding.js';
import AffinityPropagation from './model/affinity_propagation.js';
import { CentroidAgglomerativeClustering } from './model/agglomerative.js';
import { CompleteLinkageAgglomerativeClustering } from './model/agglomerative.js';
import { GroupAverageAgglomerativeClustering } from './model/agglomerative.js';
import { MedianAgglomerativeClustering } from './model/agglomerative.js';
import { SingleLinkageAgglomerativeClustering } from './model/agglomerative.js';
import { WardsAgglomerativeClustering } from './model/agglomerative.js';
import { WeightedAverageAgglomerativeClustering } from './model/agglomerative.js';
import AkimaInterpolation from './model/akima.js';
import ALMA from './model/alma.js';
import AODE from './model/aode.js';
import AR from './model/ar.js';
import ARMA from './model/arma.js';
import AROW from './model/arow.js';
import ART from './model/art.js';
import AssociationAnalysis from './model/association_analysis.js';
import Autoencoder from './model/autoencoder.js';
import AutomaticThresholding from './model/automatic_thresholding.js';
import AverageShiftedHistogram from './model/average_shifted_histogram.js';
import BalancedHistogramThresholding from './model/balanced_histogram.js';
import Ballseptron from './model/ballseptron.js';
import Banditron from './model/banditron.js';
import BayesianLinearRegression from './model/bayesian_linear.js';
import BayesianNetwork from './model/bayesian_network.js';
import BernsenThresholding from './model/bernsen.js';
import BesselFilter from './model/bessel.js';
import BilinearInterpolation from './model/bilinear_interpolation.js';
import BIRCH from './model/birch.js';
import BisectingKMeans from './model/bisecting_kmeans.js';
import BOGD from './model/bogd.js';
import BoxCox from './model/box_cox.js';
import BPA from './model/bpa.js';
import BrahmaguptaInterpolation from './model/brahmagupta_interpolation.js';
import BRIDGE from './model/bridge.js';
import { MulticlassBSGD } from './model/bsgd.js';
import BSGD from './model/bsgd.js';
import BudgetPerceptron from './model/budget_perceptron.js';
import ButterworthFilter from './model/butterworth.js';
import C2P from './model/c2p.js';
import Canny from './model/canny.js';
import CAST from './model/cast.js';
import CategoricalNaiveBayes from './model/categorical_naive_bayes.js';
import { CatmullRomSplines } from './model/catmull_rom.js';
import { CentripetalCatmullRomSplines } from './model/catmull_rom.js';
import CHAMELEON from './model/chameleon.js';
import ChangeFinder from './model/change_finder.js';
import ChebyshevFilter from './model/chebyshev.js';
import CLARA from './model/clara.js';
import CLARANS from './model/clarans.js';
import CLIQUE from './model/clique.js';
import CLUES from './model/clues.js';
import CoTraining from './model/co_training.js';
import COF from './model/cof.js';
import COLL from './model/coll.js';
import ComplementNaiveBayes from './model/complement_naive_bayes.js';
import { ConfidenceWeighted } from './model/confidence_weighted.js';
import { SoftConfidenceWeighted } from './model/confidence_weighted.js';
import CosineInterpolation from './model/cosine_interpolation.js';
import CRF from './model/crf.js';
import CubicConvolutionInterpolation from './model/cubic_convolution.js';
import CubicHermiteSpline from './model/cubic_hermite_spline.js';
import CubicInterpolation from './model/cubic_interpolation.js';
import CumulativeMovingAverage from './model/cumulative_moving_average.js';
import CumSum from './model/cumulative_sum.js';
import CURE from './model/cure.js';
import DiscriminantAdaptiveNearestNeighbor from './model/dann.js';
import DBCLASD from './model/dbclasd.js';
import DBSCAN from './model/dbscan.js';
import { DecisionTreeClassifier } from './model/decision_tree.js';
import { DecisionTreeRegression } from './model/decision_tree.js';
import DelaunayInterpolation from './model/delaunay_interpolation.js';
import DemingRegression from './model/deming.js';
import DENCLUE from './model/denclue.js';
import DIANA from './model/diana.js';
import DiffusionMap from './model/diffusion_map.js';
import DiSH from './model/dish.js';
import { DOC } from './model/doc.js';
import { FastDOC } from './model/doc.js';
import DQNAgent from './model/dqn.js';
import DrakeKMeans from './model/drake_kmeans.js';
import DTSCAN from './model/dtscan.js';
import DPAgent from './model/dynamic_programming.js';
import ElasticNet from './model/elastic_net.js';
import ElkanKMeans from './model/elkan_kmeans.js';
import EllipticFilter from './model/elliptic_filter.js';
import { ELMClassifier } from './model/elm.js';
import { ELMRegressor } from './model/elm.js';
import ENaN from './model/enan.js';
import ENN from './model/enn.js';
import EnsembleBinaryModel from './model/ensemble_binary.js';
import { ExponentialMovingAverage } from './model/exponential_average.js';
import { ModifiedMovingAverage } from './model/exponential_average.js';
import { ExtraTreesClassifier } from './model/extra_trees.js';
import { ExtraTreesRegressor } from './model/extra_trees.js';
import FastMap from './model/fastmap.js';
import FINDIT from './model/findit.js';
import Forgetron from './model/forgetron.js';
import FuzzyCMeans from './model/fuzzy_cmeans.js';
import FuzzyKNN from './model/fuzzy_knearestneighbor.js';
import GAN from './model/gan.js';
import GasserMuller from './model/gasser_muller.js';
import GaussianProcess from './model/gaussian_process.js';
import { GBDT } from './model/gbdt.js';
import { GBDTClassifier } from './model/gbdt.js';
import GeneralizedESD from './model/generalized_esd.js';
import GeneticAlgorithmGeneration from './model/genetic_algorithm.js';
import GeneticKMeans from './model/genetic_kmeans.js';
import GMeans from './model/gmeans.js';
import { GMM } from './model/gmm.js';
import { GMR } from './model/gmm.js';
import { SemiSupervisedGMM } from './model/gmm.js';
import GPLVM from './model/gplvm.js';
import GrowingCellStructures from './model/growing_cell_structures.js';
import GrowingNeuralGas from './model/growing_neural_gas.js';
import GSOM from './model/growing_som.js';
import GTM from './model/gtm.js';
import HamelryKMeans from './model/hamelry_kmeans.js';
import HampelFilter from './model/hampel.js';
import HartiganWongKMeans from './model/hartigan_wong_kmeans.js';
import HDBSCAN from './model/hdbscan.js';
import Histogram from './model/histogram.js';
import HLLE from './model/hlle.js';
import { ContinuousHMM } from './model/hmm.js';
import { HMM } from './model/hmm.js';
import HoltWinters from './model/holt_winters.js';
import HopfieldNetwork from './model/hopfield.js';
import Hotelling from './model/hotelling.js';
import HuberRegression from './model/huber_regression.js';
import ICA from './model/ica.js';
import { CELLIP } from './model/iellip.js';
import { IELLIP } from './model/iellip.js';
import IKNN from './model/iknn.js';
import IncrementalPCA from './model/incremental_pca.js';
import INFLO from './model/inflo.js';
import InverseDistanceWeighting from './model/inverse_distance_weighting.js';
import InverseSmoothstepInterpolation from './model/inverse_smoothstep.js';
import ISODATA from './model/isodata.js';
import IsolationForest from './model/isolation_forest.js';
import Isomap from './model/isomap.js';
import IsotonicRegression from './model/isotonic.js';
import KalmanFilter from './model/kalman_filter.js';
import KDEOS from './model/kdeos.js';
import KernelDensityEstimator from './model/kernel_density_estimator.js';
import KernelKMeans from './model/kernel_kmeans.js';
import KernelizedPegasos from './model/kernelized_pegasos.js';
import KernelizedPerceptron from './model/kernelized_perceptron.js';
import KHarmonicMeans from './model/kharmonic.js';
import KLIEP from './model/kliep.js';
import { KMeans } from './model/kmeans.js';
import { KMeanspp } from './model/kmeans.js';
import { KMedians } from './model/kmeans.js';
import { KMedoids } from './model/kmeans.js';
import { SemiSupervisedKMeansModel } from './model/kmeans.js';
import KModes from './model/kmodes.js';
import { KNN } from './model/knearestneighbor.js';
import { KNNAnomaly } from './model/knearestneighbor.js';
import { KNNDensityEstimation } from './model/knearestneighbor.js';
import { KNNRegression } from './model/knearestneighbor.js';
import { SemiSupervisedKNN } from './model/knearestneighbor.js';
import KPrototypes from './model/kprototypes.js';
import KSVD from './model/ksvd.js';
import KolmogorovZurbenkoFilter from './model/kz.js';
import LabelPropagation from './model/label_propagation.js';
import LabelSpreading from './model/label_spreading.js';
import LadderNetwork from './model/ladder_network.js';
import LagrangeInterpolation from './model/lagrange.js';
import LanczosInterpolation from './model/lanczos_interpolation.js';
import Laplacian from './model/laplacian.js';
import LaplacianEigenmaps from './model/laplacian_eigenmaps.js';
import Lasso from './model/lasso.js';
import LatentDirichletAllocation from './model/latent_dirichlet_allocation.js';
import LBG from './model/lbg.js';
import { FishersLinearDiscriminant } from './model/lda.js';
import { LinearDiscriminant } from './model/lda.js';
import { LinearDiscriminantAnalysis } from './model/lda.js';
import { MulticlassLinearDiscriminant } from './model/lda.js';
import LDF from './model/ldf.js';
import LDOF from './model/ldof.js';
import LeastAbsolute from './model/least_absolute.js';
import LeastSquares from './model/least_square.js';
import LinearInterpolation from './model/lerp.js';
import LLE from './model/lle.js';
import LeastMedianSquaresRegression from './model/lmeds.js';
import LMNN from './model/lmnn.js';
import LOCI from './model/loci.js';
import LOESS from './model/loess.js';
import LOF from './model/lof.js';
import LoG from './model/log.js';
import LogarithmicInterpolation from './model/logarithmic_interpolation.js';
import { LogisticRegression } from './model/logistic.js';
import { MultinomialLogisticRegression } from './model/logistic.js';
import LoOP from './model/loop.js';
import LOWESS from './model/lowess.js';
import LowpassFilter from './model/lowpass.js';
import LpNormLinearRegression from './model/lpnorm_linear.js';
import LSA from './model/lsa.js';
import { LSDD } from './model/lsdd.js';
import { LSDDCPD } from './model/lsdd.js';
import LSIF from './model/lsif.js';
import LeastTrimmedSquaresRegression from './model/lts.js';
import LTSA from './model/ltsa.js';
import { LVQClassifier } from './model/lvq.js';
import { LVQCluster } from './model/lvq.js';
import MacQueenKMeans from './model/macqueen_kmeans.js';
import MAD from './model/mad.js';
import MADALINE from './model/madaline.js';
import MarginPerceptron from './model/margin_perceptron.js';
import MarkovSwitching from './model/markov_switching.js';
import MultivariateAdaptiveRegressionSplines from './model/mars.js';
import MaxAbsScaler from './model/maxabs.js';
import MaximumLikelihoodEstimator from './model/maximum_likelihood.js';
import MCD from './model/mcd.js';
import MixtureDiscriminant from './model/mda.js';
import MDS from './model/mds.js';
import MeanShift from './model/mean_shift.js';
import MetropolisHastings from './model/mh.js';
import MinmaxNormalization from './model/minmax.js';
import MIRA from './model/mira.js';
import MLLE from './model/mlle.js';
import { MLPClassifier } from './model/mlp.js';
import { MLPRegressor } from './model/mlp.js';
import MOD from './model/mod.js';
import MONA from './model/mona.js';
import MonotheticClustering from './model/monothetic.js';
import MCAgent from './model/monte_carlo.js';
import Mountain from './model/mountain.js';
import { LinearWeightedMovingAverage } from './model/moving_average.js';
import { SimpleMovingAverage } from './model/moving_average.js';
import { TriangularMovingAverage } from './model/moving_average.js';
import MovingMedian from './model/moving_median.js';
import MT from './model/mt.js';
import MutualInformationFeatureSelection from './model/mutual_information.js';
import MutualKNN from './model/mutual_knn.js';
import NCubicInterpolation from './model/n_cubic_interpolation.js';
import NLinearInterpolation from './model/n_linear_interpolation.js';
import NadarayaWatson from './model/nadaraya_watson.js';
import NaiveBayes from './model/naive_bayes.js';
import NaiveBayesRegression from './model/naive_bayes_regression.js';
import NAROW from './model/narow.js';
import NaturalNeighborInterpolation from './model/natural_neighbor_interpolation.js';
import NeighbourhoodComponentsAnalysis from './model/nca.js';
import NearestCentroid from './model/nearest_centroid.js';
import NegationNaiveBayes from './model/negation_naive_bayes.js';
import NeuralGas from './model/neural_gas.js';
import { ComputationalGraph } from './model/neuralnetwork.js';
import { Layer } from './model/neuralnetwork.js';
import { NeuralnetworkException } from './model/neuralnetwork.js';
import NeuralNetwork from './model/neuralnetwork.js';
import NiblackThresholding from './model/niblack.js';
import NICE from './model/nice.js';
import NLMeans from './model/nlmeans.js';
import NMF from './model/nmf.js';
import NNBCA from './model/nnbca.js';
import NOF from './model/nof.js';
import NormalHERD from './model/normal_herd.js';
import OAPBPM from './model/oapbpm.js';
import OCSVM from './model/ocsvm.js';
import ODIN from './model/odin.js';
import OnlineGradientDescent from './model/ogd.js';
import OPTICS from './model/optics.js';
import ORCLUS from './model/orclus.js';
import OrderedLogisticRegression from './model/ordered_logistic.js';
import OrderedProbitRegression from './model/ordered_probit.js';
import OtsusThresholding from './model/otsu.js';
import PAM from './model/pam.js';
import ParticleFilter from './model/particle_filter.js';
import PassingBablok from './model/passing_bablok.js';
import PA from './model/passive_aggressive.js';
import PAUM from './model/paum.js';
import { AnomalyPCA } from './model/pca.js';
import { DualPCA } from './model/pca.js';
import { KernelPCA } from './model/pca.js';
import { PCA } from './model/pca.js';
import PossibilisticCMeans from './model/pcm.js';
import PCR from './model/pcr.js';
import Pegasos from './model/pegasos.js';
import PercentileAnormaly from './model/percentile.js';
import { AveragedPerceptron } from './model/perceptron.js';
import { MulticlassPerceptron } from './model/perceptron.js';
import { Perceptron } from './model/perceptron.js';
import PhansalkarThresholding from './model/phansalkar.js';
import PLS from './model/pls.js';
import PLSA from './model/plsa.js';
import PoissonRegression from './model/poisson.js';
import PGAgent from './model/policy_gradient.js';
import PolynomialHistogram from './model/polynomial_histogram.js';
import PolynomialInterpolation from './model/polynomial_interpolation.js';
import ProjectionPursuit from './model/ppr.js';
import PRank from './model/prank.js';
import Prewitt from './model/prewitt.js';
import PriestleyChao from './model/priestley_chao.js';
import PrincipalCurve from './model/principal_curve.js';
import ProbabilisticPCA from './model/probabilistic_pca.js';
import ProbabilityBasedClassifier from './model/probability_based_classifier.js';
import { MultinomialProbit } from './model/probit.js';
import { Probit } from './model/probit.js';
import PROCLUS from './model/proclus.js';
import { Projectron } from './model/projectron.js';
import { Projectronpp } from './model/projectron.js';
import PTile from './model/ptile.js';
import { QTableBase } from './model/q_learning.js';
import QAgent from './model/q_learning.js';
import QuadraticDiscriminant from './model/quadratic_discriminant.js';
import QuantileRegression from './model/quantile_regression.js';
import { RadiusNeighbor } from './model/radius_neighbor.js';
import { RadiusNeighborRegression } from './model/radius_neighbor.js';
import { SemiSupervisedRadiusNeighbor } from './model/radius_neighbor.js';
import RamerDouglasPeucker from './model/ramer_douglas_peucker.js';
import { RandomForestClassifier } from './model/random_forest.js';
import { RandomForestRegressor } from './model/random_forest.js';
import RandomProjection from './model/random_projection.js';
import RankNet from './model/ranknet.js';
import RANSAC from './model/ransac.js';
import RadialBasisFunctionNetwork from './model/rbf.js';
import { GBRBM } from './model/rbm.js';
import { RBM } from './model/rbm.js';
import RBP from './model/rbp.js';
import RDF from './model/rdf.js';
import RDOS from './model/rdos.js';
import { KernelRidge } from './model/ridge.js';
import { MulticlassRidge } from './model/ridge.js';
import { Ridge } from './model/ridge.js';
import RKOF from './model/rkof.js';
import RecursiveLeastSquares from './model/rls.js';
import RepeatedMedianRegression from './model/rmr.js';
import RNN from './model/rnn.js';
import RobertsCross from './model/roberts.js';
import RobustScaler from './model/robust_scaler.js';
import ROCK from './model/rock.js';
import { AggressiveROMMA } from './model/romma.js';
import { ROMMA } from './model/romma.js';
import RVM from './model/rvm.js';
import S3VM from './model/s3vm.js';
import Sammon from './model/sammon.js';
import SARSAAgent from './model/sarsa.js';
import SauvolaThresholding from './model/sauvola.js';
import SavitzkyGolayFilter from './model/savitzky_golay.js';
import SDAR from './model/sdar.js';
import SegmentedRegression from './model/segmented.js';
import SelectiveNaiveBayes from './model/selective_naive_bayes.js';
import { SelectiveSamplingAdaptivePerceptron } from './model/selective_sampling_perceptron.js';
import { SelectiveSamplingPerceptron } from './model/selective_sampling_perceptron.js';
import SelectiveSamplingSOP from './model/selective_sampling_sop.js';
import SelectiveSamplingWinnow from './model/selective_sampling_winnow.js';
import SelfTraining from './model/self_training.js';
import SemiSupervisedNaiveBayes from './model/semi_supervised_naive_bayes.js';
import SezanThresholding from './model/sezan.js';
import ShiftingPerceptron from './model/shifting_perceptron.js';
import { ILK } from './model/silk.js';
import { SILK } from './model/silk.js';
import SincInterpolation from './model/sinc_interpolation.js';
import SlicedInverseRegression from './model/sir.js';
import Slerp from './model/slerp.js';
import SliceSampling from './model/slice_sampling.js';
import SMARegression from './model/sma.js';
import SmirnovGrubbs from './model/smirnov_grubbs.js';
import SmoothstepInterpolation from './model/smoothstep.js';
import Snakes from './model/snakes.js';
import Sobel from './model/sobel.js';
import SoftKMeans from './model/soft_kmeans.js';
import SOM from './model/som.js';
import SecondOrderPerceptron from './model/sop.js';
import SpectralClustering from './model/spectral.js';
import SmoothingSpline from './model/spline.js';
import SplineInterpolation from './model/spline_interpolation.js';
import SplitAndMerge from './model/split_merge.js';
import SquaredLossMICPD from './model/squared_loss_mi.js';
import SST from './model/sst.js';
import Standardization from './model/standardization.js';
import StatisticalRegionMerging from './model/statistical_region_merging.js';
import STING from './model/sting.js';
import Stoptron from './model/stoptron.js';
import SVC from './model/svc.js';
import SVM from './model/svm.js';
import SVR from './model/svr.js';
import TheilSenRegression from './model/theil_sen.js';
import Thompson from './model/thompson.js';
import TietjenMoore from './model/tietjen_moore.js';
import TighterPerceptron from './model/tighter_perceptron.js';
import TightestPerceptron from './model/tightest_perceptron.js';
import TrigonometricInterpolation from './model/trigonometric_interpolation.js';
import { SNE } from './model/tsne.js';
import { tSNE } from './model/tsne.js';
import TukeyRegression from './model/tukey_regression.js';
import TukeysFences from './model/tukeys_fences.js';
import { RuLSIF } from './model/ulsif.js';
import { uLSIF } from './model/ulsif.js';
import UMAP from './model/umap.js';
import UniversalSetNaiveBayes from './model/universal_set_naive_bayes.js';
import VAE from './model/vae.js';
import VAR from './model/var.js';
import VBGMM from './model/vbgmm.js';
import VotedPerceptron from './model/voted_perceptron.js';
import WeightedKMeans from './model/weighted_kmeans.js';
import WeightedKNN from './model/weighted_knn.js';
import WeightedLeastSquares from './model/weighted_least_squares.js';
import Winnow from './model/winnow.js';
import Word2Vec from './model/word_to_vec.js';
import { XGBoost } from './model/xgboost.js';
import { XGBoostClassifier } from './model/xgboost.js';
import XMeans from './model/xmeans.js';
import YeoJohnson from './model/yeo_johnson.js';
import YinyangKMeans from './model/yinyang_kmeans.js';
import ZeroInflatedNegativeBinomial from './model/zinb.js';
import ZeroInflatedPoisson from './model/zip.js';
import ZeroTruncatedPoisson from './model/ztp.js';
import AcrobotRLEnvironment from './rl/acrobot.js';
import { RLEnvironmentBase } from './rl/base.js';
import { RLIntRange } from './rl/base.js';
import { RLRealRange } from './rl/base.js';
import EmptyRLEnvironment from './rl/base.js';
import BlackjackRLEnvironment from './rl/blackjack.js';
import BreakerRLEnvironment from './rl/breaker.js';
import CartPoleRLEnvironment from './rl/cartpole.js';
import DraughtsRLEnvironment from './rl/draughts.js';
import GomokuRLEnvironment from './rl/gomoku.js';
import GridMazeRLEnvironment from './rl/grid.js';
import InHypercubeRLEnvironment from './rl/inhypercube.js';
import SmoothMazeRLEnvironment from './rl/maze.js';
import MountainCarRLEnvironment from './rl/mountaincar.js';
import PendulumRLEnvironment from './rl/pendulum.js';
import ReversiRLEnvironment from './rl/reversi.js';
import WaterballRLEnvironment from './rl/waterball.js';
import { accuracy } from './evaluate/classification.js';
import { cohensKappa } from './evaluate/classification.js';
import { fScore } from './evaluate/classification.js';
import { precision } from './evaluate/classification.js';
import { recall } from './evaluate/classification.js';
import { davisBouldinIndex } from './evaluate/clustering.js';
import { diceIndex } from './evaluate/clustering.js';
import { dunnIndex } from './evaluate/clustering.js';
import { fowlkesMallowsIndex } from './evaluate/clustering.js';
import { jaccardIndex } from './evaluate/clustering.js';
import { purity } from './evaluate/clustering.js';
import { randIndex } from './evaluate/clustering.js';
import { silhouetteCoefficient } from './evaluate/clustering.js';
import { coRankingMatrix } from './evaluate/dimensionality_reduction.js';
import { correlation } from './evaluate/regression.js';
import { mad } from './evaluate/regression.js';
import { mae } from './evaluate/regression.js';
import { mape } from './evaluate/regression.js';
import { mse } from './evaluate/regression.js';
import { msle } from './evaluate/regression.js';
import { r2 } from './evaluate/regression.js';
import { rmse } from './evaluate/regression.js';
import { rmsle } from './evaluate/regression.js';
import { rmspe } from './evaluate/regression.js';
