/**
 * Angle-based Outlier Detection
 */
export default class ABOD {
    /**
     * @param {number} [k] Number of neighborhoods
     */
    constructor(k?: number);
    _k: number;
    _distance(a: any, b: any): number;
    /**
     * Returns anomaly degrees.
     * @param {Array<Array<number>>} datas Training data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
/**
 * Lower-bound for the Angle-based Outlier Detection
 */
export class LBABOD {
    /**
     * @param {number} [k] Number of neighborhoods
     * @param {number} [l] Number of outliers
     */
    constructor(k?: number, l?: number);
    _k: number;
    _l: number;
    _distance(a: any, b: any): number;
    /**
     * Returns a list of the data predicted as outliers or not.
     * @param {Array<Array<number>>} datas Training data
     * @returns {boolean[]} Predicted values
     */
    predict(datas: Array<Array<number>>): boolean[];
}
