/**
 * Adaptive Linear Neuron model
 */
export default class ADALINE {
    /**
     * @param {number} rate Learning rate
     */
    constructor(rate: number);
    _r: number;
    _a: (x: any) => any;
    _w: Matrix<number>;
    _b: number;
    /**
     * Fit this model once.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    /**
     * Returns predicted datas.
     * @param {Array<Array<number>>} data Sample data
     * @returns {Array<1 | -1>} Predicted values
     */
    predict(data: Array<Array<number>>): Array<1 | -1>;
}
import Matrix from '../util/matrix.js';
