/**
 * Adaptive thresholding
 */
export default class AdaptiveThresholding {
    /**
     * @param {'mean' | 'gaussian' | 'median' | 'midgray'} method Method name
     * @param {number} k Size of local range
     * @param {number} c Value subtracted from threshold
     */
    constructor(method?: 'mean' | 'gaussian' | 'median' | 'midgray', k?: number, c?: number);
    _method: "median" | "mean" | "gaussian" | "midgray";
    _k: number;
    _c: number;
    _kernel(): any[][];
    /**
     * Returns thresholded values.
     * @param {Array<Array<number>>} x Training data
     * @returns {Array<Array<0 | 1>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<0 | 1>>;
    _predict_kernel(x: any): any[][];
    _predict_statistics(x: any): any[][];
}
