/**
 * Akima interpolation
 */
export default class AkimaInterpolation {
    /**
     * @param {boolean} modified Use modified method or not
     */
    constructor(modified?: boolean);
    _modified: boolean;
    /**
     * Fit model parameters.
     * @param {number[]} x Training data
     * @param {number[]} y Target values
     */
    fit(x: number[], y: number[]): void;
    _x: number[];
    _y: number[];
    _x1: number;
    _x0: number;
    _y1: number;
    _y0: number;
    _xn0: number;
    _xn1: number;
    _yn0: number;
    _yn1: number;
    /**
     * Returns predicted interpolated values.
     * @param {number[]} target Sample data
     * @returns {number[]} Predicted values
     */
    predict(target: number[]): number[];
}
