/**
 * Averaged One-Dependence Estimators
 */
export default class AODE {
    /**
     * @param {number} [discrete] Discretized number
     */
    constructor(discrete?: number);
    _discrete: number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     * @param {*[]} y Target values
     */
    fit(datas: Array<Array<number>>, y: any[]): void;
    _labels: any[];
    _ode: any[];
    /**
     * Returns predicted datas.
     * @param {Array<Array<number>>} data Sample data
     * @returns {(* | null)[]} Predicted values
     */
    predict(data: Array<Array<number>>): (any | null)[];
}
