/**
 * Autoregressive moving average model
 */
export default class ARMA {
    /**
     * @param {number} p Order of AR
     * @param {number} q Order of MA
     */
    constructor(p: number, q: number);
    _p: number;
    _q: number;
    _rate: number;
    _beta: number;
    _phi: any[];
    _the: any[];
    /**
     * Fit model.
     * @param {number[]} data Training data
     */
    fit(data: number[]): void;
    _u: number[];
    /**
     * Returns predicted future values.
     * @param {number[]} data Sample data
     * @param {number} k Prediction count
     * @returns {number[]} Predicted values
     */
    predict(data: number[], k: number): number[];
}
