/**
 * Adaptive regularization of Weight Vectors
 */
export default class AROW {
    /**
     * @param {number} r Learning rate
     */
    constructor(r?: number);
    _m: Matrix<number>;
    _s: Matrix<number>;
    _r: number;
    /**
     * Initialize this model.
     * @param {Array<Array<number>>} train_x Training data
     * @param {Array<1 | -1>} train_y Target values
     */
    init(train_x: Array<Array<number>>, train_y: Array<1 | -1>): void;
    _x: Matrix<number[]>;
    _c: Matrix<number>;
    _y: (1 | -1)[];
    _d: number;
    /**
     * Update model parameters with one data.
     * @param {Matrix} x Training data
     * @param {1 | -1} y Target value
     */
    update(x: Matrix, y: 1 | -1): void;
    /**
     * Fit model parameters.
     */
    fit(): void;
    /**
     * Returns predicted datas.
     * @param {Array<Array<number>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<number>>): (1 | -1)[];
}
import Matrix from '../util/matrix.js';
