/**
 * Average shifted histogram
 */
export default class AverageShiftedHistogram {
    /**
     * @param {object} config Config
     * @param {Array<[number, number]>} [config.domain] Domain of each dimension
     * @param {number} config.size Bin size
     * @param {number} step Number of bins to average
     */
    constructor(config: {
        domain?: Array<[number, number]>;
        size: number;
    }, step: number);
    _config: {
        domain?: Array<[number, number]>;
        size: number;
    };
    _step: number;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} datas Training data
     * @returns {*[]} An array nested by the number of dimensions of the data
     */
    fit(datas: Array<Array<number>>): any[];
    _ranges: any[];
    _dense: any[];
    /**
     * Returns predicted counted values.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
