/**
 * Balanced histogram thresholding
 */
export default class BalancedHistogramThresholding {
    /**
     * @param {number} [minCount] Minimum data count
     */
    constructor(minCount?: number);
    _minCount: number;
    _count: number;
    /**
     * Returns thresholded values.
     * @param {number[]} x Training data
     * @returns {(0 | 1)[]} Predicted values
     */
    predict(x: number[]): (0 | 1)[];
    _t: number;
}
