/**
 * Ballseptron
 */
export default class Ballseptron {
    /**
     * @param {number} r Radius
     */
    constructor(r: number);
    _r: number;
    _w: any[];
    _c: number;
    /**
     * Fit model parameters.
     * @param {Array<Array<number>>} x Training data
     * @param {(1 | -1)[]} y Target values
     */
    fit(x: Array<Array<number>>, y: (1 | -1)[]): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<number>>): (1 | -1)[];
}
