/**
 * Banditron
 */
export default class Banditron {
    /**
     * @param {number} [gamma] Gamma
     */
    constructor(gamma?: number);
    _gamma: number;
    _classes: any[];
    _w: any[];
    _b: any[];
    /**
     * Fit model parameters.
     * @param {Array<Array<number>>} x Training data
     * @param {*[]} y Target values
     */
    fit(x: Array<Array<number>>, y: any[]): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} data Sample data
     * @returns {*[]} Predicted values
     */
    predict(data: Array<Array<number>>): any[];
}
