/**
 * Bayesian linear regression
 */
export default class BayesianLinearRegression {
    /**
     * @param {number} [lambda] Tuning parameter
     * @param {number} [sigma] Initial sigma of normal distribution
     */
    constructor(lambda?: number, sigma?: number);
    _w: Matrix<number>;
    _lambda: number;
    _sigma: number;
    _m: Matrix<number>;
    _s: Matrix<number>;
    _beta: number;
    _alpha: number;
    _init(x: any, y: any): void;
    /**
     * Fit model once.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    /**
     * Returns predicted datas.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
