/**
 * Bernsen thresholding
 */
export default class BernsenThresholding {
    /**
     * @param {number} [n] Size of local range
     * @param {number} [ct] Minimum value of contrast
     */
    constructor(n?: number, ct?: number);
    _n: number;
    _ct: number;
    _th: number;
    /**
     * Returns thresholded values.
     * @param {Array<Array<number>>} x Training data
     * @returns {Array<Array<0 | 1>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<0 | 1>>;
}
