/**
 * Bessel filter
 */
export default class BesselFilter {
    /**
     * @param {number} [n] Order
     * @param {number} [c] Cutoff rate
     */
    constructor(n?: number, c?: number);
    _c: number;
    _n: number;
    _coef: number[];
    _reverse_bessel_polynomial(x: any): number;
    _cutoff(i: any, c: any, xr: any, xi: any): number[];
    /**
     * Returns predicted datas.
     * @param {number[]} x Training data
     * @returns {number[]} Predicted values
     */
    predict(x: number[]): number[];
}
