/**
 * Bilinear interpolation
 */
export default class BilinearInterpolation {
    /**
     * Fit model parameters.
     * @param {Array<Array<number>>} values Training data
     * @param {[number[], number[]]} grids Grid values for each axises
     */
    fit(values: Array<Array<number>>, grids: [number[], number[]]): void;
    _v: number[][];
    _grids: [number[], number[]];
    /**
     * Returns predicted interpolated values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {(number | null)[]} Predicted values
     */
    predict(x: Array<Array<number>>): (number | null)[];
}
