/**
 * Budget Perceptron
 */
export default class BudgetPerceptron {
    /**
     * @param {number} beta Tolerance
     * @param {number} [n] Cachs size
     */
    constructor(beta: number, n?: number);
    _beta: number;
    _n: number;
    _w: any[];
    _c: number;
    _s: any[];
    /**
     * Fit model parameters.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<1 | -1>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<1 | -1>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<number>>): (1 | -1)[];
}
