/**
 * Clustering Affinity Search Technique
 */
export default class CAST {
    /**
     * @param {number} t Affinity threshold
     */
    constructor(t: number);
    _t: number;
    /**
     * Number of clusters
     * @type {number}
     */
    get size(): number;
    _similarity(a: any, b: any): number;
    _add(u: any, a: any, co: any, s: any): void;
    _remove(u: any, a: any, co: any, s: any): void;
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     */
    fit(datas: Array<Array<number>>): void;
    _clusters: any[];
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
}
