/**
 * Categorical naive bayes
 */
export default class CategoricalNaiveBayes {
    /**
     * @param {number} [alpha] Smoothing parameter
     */
    constructor(alpha?: number);
    _alpha: number;
    /**
     * Fit model.
     * @param {Array<Array<*>>} datas Training data
     * @param {*[]} labels Target values
     */
    fit(datas: Array<Array<any>>, labels: any[]): void;
    _d: number;
    _cand: any[];
    _labels: any[];
    _prob: any[];
    /**
     * Returns predicted probabilities.
     * @param {Array<Array<*>>} datas Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    probability(datas: Array<Array<any>>): Array<Array<number>>;
    /**
     * Returns predicted categories.
     * @param {Array<Array<*>>} datas Sample data
     * @returns {*[]} Predicted values
     */
    predict(datas: Array<Array<any>>): any[];
}
