/**
 * CHAMELEON
 */
export default class CHAMELEON {
    /**
     * @param {number} [k] Number of neighborhoods
     */
    constructor(k?: number);
    _k: number;
    _minSize: number;
    _t_ri: number;
    _t_rc: number;
    _alpha: number;
    _sim(a: any, b: any): number;
    _d(a: any, b: any): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     */
    fit(datas: Array<Array<number>>): void;
    _root: {
        idx: number[];
    }[];
    _roughly_bisect(graph: any, cluster: any): (number | any[])[];
    /**
     * Returns the specified number of clusters.
     * @param {number} number Number of clusters
     * @returns {*[]} Cluster nodes
     */
    getClusters(number: number): any[];
    /**
     * Returns predicted categories.
     * @param {number} k Number of clusters
     * @returns {number[]} Predicted values
     */
    predict(k: number): number[];
}
