/**
 * Chebyshev filter
 */
export default class ChebyshevFilter {
    /**
     * @param {1 | 2} [type] Type number
     * @param {number} [ripple] Ripple factor
     * @param {number} [n] Order
     * @param {number} [c] Cutoff rate
     */
    constructor(type?: 1 | 2, ripple?: number, n?: number, c?: number);
    _c: number;
    _type: 2 | 1;
    _n: number;
    _e: number;
    _chebyshev(n: any, x: any): any;
    _cutoff(i: any, c: any, xr: any, xi: any): number[];
    /**
     * Returns predicted datas.
     * @param {number[]} x Training data
     * @returns {number[]} Predicted values
     */
    predict(x: number[]): number[];
}
