/**
 * Clustering LARge Applications
 */
export default class CLARA {
    /**
     * @param {number} k Number of clusters
     */
    constructor(k: number);
    _k: number;
    _sample_size: number;
    _distance(a: any, b: any): number;
    _argmin(arr: any): number;
    _cost(centroids: any): number;
    _sample_idx(n: any, k: any): number[];
    /**
     * Initialize model.
     * @param {Array<Array<number>>} datas Training data
     */
    init(datas: Array<Array<number>>): void;
    _x: number[][];
    _centroids: number[];
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
}
