/**
 * Clustering Large Applications based on RANdomized Search
 */
export default class CLARANS {
    /**
     * @param {number} k Number of clusters
     */
    constructor(k: number);
    _k: number;
    _distance(a: any, b: any): number;
    _cost(categories: any): number;
    /**
     * Initialize model.
     * @param {Array<Array<number>>} datas Training data
     */
    init(datas: Array<Array<number>>): void;
    _x: number[][];
    _categories: any[];
    /**
     * Fit model once.
     * @param {number} numlocal Iteration count for local
     * @param {number} maxneighbor Iteration count for neighborhoods
     */
    fit(numlocal: number, maxneighbor: number): void;
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
}
