/**
 * CLustering In QUEst
 */
export default class CLIQUE {
    /**
     * @param {number | number[]} xi Intervals
     * @param {number} t Density threshold
     */
    constructor(xi: number | number[], t: number);
    _xi: number | number[];
    _t: number;
    /**
     * Number of clusters
     * @type {number}
     */
    get size(): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     */
    fit(datas: Array<Array<number>>): void;
    _u: any[];
    _clusters: any[][];
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted categories
     */
    predict(x: Array<Array<number>>): number[];
}
