/**
 * Conscience on-line learning
 */
export default class COLL {
    /**
     * @param {number} c Number of clusters
     * @param {number} [eta] Initial learning rate
     * @param {'gaussian' | 'polynomial' | { name: 'gaussian', s?: number } | { name: 'polynomial', d?: number } | function (number[], number[]): number} [kernel] Kernel name
     */
    constructor(c: number, eta?: number, kernel?: 'gaussian' | 'polynomial' | {
        name: 'gaussian';
        s?: number;
    } | {
        name: 'polynomial';
        d?: number;
    } | ((arg0: number[], arg1: number[]) => number));
    _c: number;
    _eta: number;
    _kernel: any;
    /**
     * Initialize model.
     * @param {Array<Array<number>>} datas Training data
     */
    init(datas: Array<Array<number>>): void;
    _datas: number[][];
    _k: any[];
    _nu: any[];
    _t: number;
    _nk: any[];
    _f: number[];
    _w: Matrix<T>;
    /**
     * Fit model once.
     * @returns {number} Convergence criterion
     */
    fit(): number;
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
}
import Matrix from '../util/matrix.js';
