/**
 * Cubic-convolution interpolation
 */
export default class CubicConvolutionInterpolation {
    /**
     * @param {number} a Tuning parameter
     */
    constructor(a: number);
    _a: number;
    /**
     * Fit model parameters.
     * @param {number[]} values Training data
     */
    fit(values: number[]): void;
    _v: number[];
    /**
     * Returns predicted interpolated values.
     * @param {number[]} index Sample data
     * @returns {number[]} Predicted values
     */
    predict(index: number[]): number[];
}
