/**
 * Cubic Hermite spline
 */
export default class CubicHermiteSpline {
    /**
     * @param {number} t Tension factor
     * @param {number} b Bias factor
     */
    constructor(t: number, b: number);
    _t: number;
    _b: number;
    /**
     * Fit model parameters.
     * @param {number[]} x Training data
     * @param {number[]} y Target values
     */
    fit(x: number[], y: number[]): void;
    _x: number[];
    _y: number[];
    /**
     * Returns predicted interpolated values.
     * @param {number[]} target Sample data
     * @returns {number[]} Predicted values
     */
    predict(target: number[]): number[];
}
