/**
 * Cubic interpolation
 */
export default class CubicInterpolation {
    /**
     * Fit model parameters.
     * @param {number[]} x Training data
     * @param {number[]} y Target values
     */
    fit(x: number[], y: number[]): void;
    _x: number[];
    _y: number[];
    /**
     * Returns predicted interpolated values.
     * @param {number[]} target Target values
     * @returns {number[]} Predicted values
     */
    predict(target: number[]): number[];
}
