/**
 * Density-based spatial clustering of applications with noise
 */
export default class DBSCAN {
    /**
     * @param {number} [eps] Radius to determine neighborhood
     * @param {number} [minPts] Minimum size of cluster
     * @param {'euclid' | 'manhattan' | 'chebyshev' | function (number[], number[]): number} [metric] Metric name
     */
    constructor(eps?: number, minPts?: number, metric?: 'euclid' | 'manhattan' | 'chebyshev' | ((arg0: number[], arg1: number[]) => number));
    _eps: number;
    _minPts: number;
    _metric: "euclid" | "manhattan" | "chebyshev" | ((arg0: number[], arg1: number[]) => number);
    _d: (a: any, b: any) => any;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} datas Training data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
