/**
 * Delaunay interpolation
 */
export default class DelaunayInterpolation {
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {number[]} y Target values
     */
    fit(x: Array<Array<number>>, y: number[]): void;
    _triangles: Triangle[];
    /**
     * Returns probabilities of the datas.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: Array<Array<number>>): number[];
}
declare class Triangle {
    constructor(p1: any, p2: any, p3: any);
    set p(points: any);
    get p(): any;
    adjoin: any[];
    _circumcircle: Circle;
    _p: any;
    _h: number[];
    get circumcircle(): Circle;
    contains(p: any): boolean;
    contains_circle(p: any): boolean;
    value(p: any): number;
}
declare class Circle {
    constructor(c: any, r: any);
    _c: any;
    _r: any;
    contains(p: any): boolean;
}
export {};
