/**
 * Deming regression
 */
export default class DemingRegression {
    /**
     * @param {number} d Ratio of variances
     */
    constructor(d: number);
    _d: number;
    /**
     * Fit model.
     * @param {number[]} x Training data
     * @param {number[]} y Target values
     */
    fit(x: number[], y: number[]): void;
    _a: number;
    _b: number;
    /**
     * Returns predicted values.
     * @param {number[]} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: number[]): number[];
}
