/**
 * Delaunay triangulation-based spatial clustering of application with noise
 */
export default class DTSCAN {
    /**
     * @param {number} [minPts] Minimum size of neighbors
     * @param {number} [threshold] Remove threshold score
     */
    constructor(minPts?: number, threshold?: number);
    _minPts: number;
    _area_threshold: number;
    _length_threshold: number;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} x Training data
     * @returns {number[]} Predicted values
     */
    predict(x: Array<Array<number>>): number[];
}
