/**
 * Exponential moving average
 */
export class ExponentialMovingAverage {
    /**
     * @param {number} k Degree of weighting decrease
     */
    constructor(k: number);
    _k: number;
    /**
     * Returns smoothed values.
     * @param {number[]} data Training data
     * @returns {number[]} Predicted values
     */
    predict(data: number[]): number[];
}
/**
 * Modified moving average
 */
export class ModifiedMovingAverage {
    /**
     * @param {number} k Degree of weighting decrease
     */
    constructor(k: number);
    _k: number;
    /**
     * Returns smoothed values.
     * @param {number[]} data Training data
     * @returns {number[]} Predicted values
     */
    predict(data: number[]): number[];
}
