/**
 * a Fast and INtelligent subspace clustering algorithm using DImension voting
 */
export default class FINDIT {
    /**
     * @param {number} minsize Mininum size of clusters
     * @param {number} mindist Merge threshold
     */
    constructor(minsize: number, mindist: number);
    _cminsize: number;
    _dmindist: number;
    _sminsize: number;
    _mminsize: number;
    _delta: number;
    _rho: number;
    _V: number;
    _penaltyDim: number;
    _avgdThreshold: number;
    /**
     * Number of clusters
     * @type {number}
     */
    get size(): number;
    _chernoffBounds(xi: any, k: any, rho: any, delta: any): number;
    _sample(n: any, k: any): number[];
    _binomial(k: any, n: any, p: any): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     */
    fit(datas: Array<Array<number>>): void;
    _m: number[][];
    _e: number[];
    _mcs: number[][];
    _kd: any[][];
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted categories
     */
    predict(x: Array<Array<number>>): number[];
}
