/**
 * Gasser–Müller kernel estimator
 */
export default class GasserMuller {
    /**
     * @param {number} h Smoothing parameter for the kernel
     */
    constructor(h: number);
    _h: number;
    _f: (x: any, s0: any, s1: any) => number;
    _cdf(x: any): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    _x: (number | number[])[];
    _s: number[];
    _y: (number | number[])[];
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: Array<Array<number>>): number[];
}
