/**
 * Generalized extreme studentized deviate
 */
export default class GeneralizedESD {
    /**
     * @param {number} alpha Significance level
     * @param {number} r Max number of outliers
     */
    constructor(alpha: number, r: number);
    _alpha: number;
    _r: number;
    /**
     * Returns a list of the data predicted as outliers or not.
     * @param {Array<Array<number>>} data Training data
     * @returns {boolean[]} Predicted values
     */
    predict(data: Array<Array<number>>): boolean[];
}
