/**
 * G-means
 */
export default class GMeans {
    _centroids: any[];
    _init_k: number;
    /**
     * Centroids
     * @type {Array<Array<number>>}
     */
    get centroids(): number[][];
    /**
     * Number of clusters.
     * @type {number}
     */
    get size(): number;
    _distance(a: any, b: any): number;
    /**
     * Clear all clusters.
     */
    clear(): void;
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     * @param {number} iterations Iteration count
     */
    fit(datas: Array<Array<number>>, iterations?: number): void;
    _split_cluster(datas: any, k?: number): {
        size: number;
        data: any[];
        centroid: any;
    }[];
    _create_clusters(model: any, datas: any): {
        size: number;
        data: any[];
        centroid: any;
    }[];
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
