/**
 * Growing cell structures
 */
export default class GrowingCellStructures {
    _nodes: any[];
    _edges: any[];
    _err: any[];
    _k: number;
    _eps_b: number;
    _eps_n: number;
    _alpha: number;
    _beta: number;
    _inserted_iteration: number;
    /**
     * Number of clusters
     * @type {number}
     */
    get size(): number;
    _init(x: any): void;
    _d: any;
    _distance(a: any, b: any): any;
    _topological_neighbor(n: any): any[];
    _connected(i: any, j: any): boolean;
    /**
     * Update parameter.
     * @param {number[]} x Training data
     */
    update(x: number[]): void;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     */
    fit(x: Array<Array<number>>): void;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
