/**
 * Growing neural gas
 */
export default class GrowingNeuralGas {
    /**
     * @param {number} l Neughborhood range
     * @param {number} m Decreasing factor of `l`
     */
    constructor(l: number, m: number);
    _nodes: any[];
    _edges: any[];
    _err: any[];
    _l: number;
    _m: number;
    _k: number;
    _eps: number;
    _err_fact: number;
    _max_age: number;
    _inserted_iteration: number;
    /**
     * Number of clusters
     * @type {number}
     */
    get size(): number;
    _init(x: any): void;
    _distance(a: any, b: any): number;
    _topological_neighbor(n: any): any[];
    /**
     * Update parameter.
     * @param {number[]} x Training data
     */
    update(x: number[]): void;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     */
    fit(x: Array<Array<number>>): void;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
