/**
 * Growing Self-Organizing Map
 */
export default class GSOM {
    /**
     * @param {number} [sf] Spread factor
     * @param {number} [lr] Learning rate
     */
    constructor(sf?: number, lr?: number);
    _sf: number;
    _lr: number;
    _init_lr: number;
    _k: number;
    _node: any[];
    _init_vector_count: number;
    _lr_update: (lr: any, k: any) => number;
    /**
     * Number of clusters
     * @type {number}
     */
    get size(): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} data Training data
     */
    fit(data: Array<Array<number>>): void;
    _d: number;
    _gt: number;
    _err: any[];
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<number>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<number>;
}
