/**
 * Holt-Winters method
 */
export default class HoltWinters {
    /**
     * @param {number} a Weight for last value
     * @param {number} [b] Weight for trend value
     * @param {number} [g] Weight for seasonal data
     * @param {number} [s] Length of season
     */
    constructor(a: number, b?: number, g?: number, s?: number);
    _a: number;
    _b: number;
    _g: number;
    _s: number;
    /**
     * Fit model and return predict values.
     * @param {number[]} x Training data
     * @returns {number[]} Predicted values
     */
    fit(x: number[]): number[];
    _level: any;
    _trend: any;
    _season: any[];
    _step_offset: number;
    /**
     * Returns predicted future values.
     * @param {number} k Prediction count
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(k: number): Array<Array<number>>;
}
