/**
 * Hopfield network
 */
export default class HopfieldNetwork {
    _normalize(x: any): void;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     */
    fit(x: Array<Array<number>>): void;
    _w: any[];
    /**
     * Return a energy value of the data.
     * @param {Array<number>} x Sample data
     * @returns {number} Energy value
     */
    energy(x: Array<number>): number;
    /**
     * Returns predicted values.
     * @param {Array<number>} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: Array<number>): number[];
}
