/**
 * Huber regression
 */
export default class HuberRegression {
    /**
     * @param {number} [e] Threshold of outliers
     * @param {'rls' | 'gd'} [method] Method name
     * @param {number} [lr] Learning rate
     */
    constructor(e?: number, method?: 'rls' | 'gd', lr?: number);
    _e: number;
    _s: number;
    _lr: number;
    _w: Matrix<number>;
    _method: "rls" | "gd";
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    _gd(x: any, y: any): void;
    _rls(x: any, y: any): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
