/**
 *  Locally Informative K-Nearest Neighbor
 */
export default class IKNN {
    /**
     * @param {number} k Number of neighbors
     * @param {number} i Number of informative points
     */
    constructor(k: number, i: number);
    _k: number;
    _i: number;
    _gamma: number;
    _pr(xj: any, xi: any): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {*[]} y Target values
     */
    fit(x: Array<Array<number>>, y: any[]): void;
    _x: number[][];
    _y: any[];
    _c: any[];
    _w: any;
    _eta: any;
    _logp2t: any[];
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} data Sample data
     * @returns {*[]} Predicted values
     */
    predict(data: Array<Array<number>>): any[];
}
