/**
 * Incremental principal component analysis
 */
export default class IncrementalPCA {
    /**
     * @param {number} [f] Forgetting factor
     * @param {number | null} [rd] Reduced dimension
     */
    constructor(f?: number, rd?: number | null);
    _f: number;
    _rd: number;
    _batch_size: number;
    _u: any;
    _s: any;
    _m: Matrix<number>;
    _n: number;
    /**
     * Update parameters.
     * @param {Matrix} x Training data
     */
    update(x: Matrix): void;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     */
    fit(x: Array<Array<number>>): void;
    /**
     * Returns reduced datas.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
