/**
 * Isolation forest
 */
export default class IsolationForest {
    /**
     * @param {number} [tree_num] Number of trees
     * @param {number} [sampling_rate] Sampling rate
     */
    constructor(tree_num?: number, sampling_rate?: number);
    _tree_num: number;
    _rate: number;
    _trees: any[];
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     */
    fit(datas: Array<Array<number>>): void;
    /**
     * Returns anomaly degrees.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
