/**
 * Kalman filter
 */
export default class KalmanFilter {
    _d: number;
    _F: Matrix<number>;
    _Q: Matrix<number>;
    /**
     * Fit and returns smoothed values.
     * @param {Array<Array<number>>} z Training data
     * @returns {Array<Array<number>>} Predicted values
     */
    fit(z: Array<Array<number>>): Array<Array<number>>;
    _x: Matrix<number>[];
    _P: Matrix<number>[];
    _H: Matrix<number>;
    _R: any;
    /**
     * Returns predicted future values.
     * @param {number} k Prediction count
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(k: number): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
