/**
 * Kernel Density Estimation Outlier Score
 */
export default class KDEOS {
    /**
     * @param {number} kmin Minimum number of neighborhoods
     * @param {number} kmax Maximum number of neighborhoods
     * @param {'gaussian' | 'epanechnikov' | { name: 'gaussian' } | { name: 'epanechnikov' } | function (number, number, number): number} [kernel] Kernel name
     */
    constructor(kmin: number, kmax: number, kernel?: 'gaussian' | 'epanechnikov' | {
        name: 'gaussian';
    } | {
        name: 'epanechnikov';
    } | ((arg0: number, arg1: number, arg2: number) => number));
    _kmin: number;
    _kmax: number;
    _e: number;
    _phi: number;
    _kernel: any;
    _distance(a: any, b: any): number;
    _cdf(x: any): number;
    /**
     * Returns anomaly degrees.
     * @param {Array<Array<number>>} datas Training data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
