/**
 * Kernel k-means
 */
export default class KernelKMeans {
    /**
     * @param {number} [k] Number of clusters
     */
    constructor(k?: number);
    _k: number;
    _kernel: (a: any, b: any) => number;
    _distance(x: any, c: any): number;
    /**
     * Initialize model.
     * @param {Array<Array<number>>} datas Training data
     */
    init(datas: Array<Array<number>>): void;
    _x: number[][];
    _labels: any[] | number[];
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
    /**
     * Fit model.
     */
    fit(): void;
}
