/**
 * K-Harmonic Means
 */
export default class KHarmonicMeans {
    /**
     * @param {number} k Number of clusters
     */
    constructor(k: number);
    _k: number;
    _d: (a: any, b: any) => number;
    /**
     * Centroids
     * @type {Array<Array<number>>}
     */
    get centroids(): number[][];
    /**
     * Initialize this model.
     * @param {Array<Array<number>>} datas Training data
     */
    init(datas: Array<Array<number>>): void;
    _x: number[][];
    _m: number[][];
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
