/**
 * k-modes model
 */
export default class KModes {
    _modes: any[];
    _categories: any[];
    /**
     * Number of clusters.
     * @type {number}
     */
    get size(): number;
    /**
     * Add a new cluster.
     * @param {Array<Array<*>>} datas Training data
     */
    add(datas: Array<Array<any>>): void;
    /**
     * Clear all clusters.
     */
    clear(): void;
    /**
     * Returns predicted categories.
     * @param {Array<Array<*>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<any>>): number[];
    /**
     * Fit model and returns total distance the modes has moved.
     * @param {Array<Array<*>>} datas Training data
     * @returns {number} Total distance the modes has moved
     */
    fit(datas: Array<Array<any>>): number;
}
