/**
 * k-SVD
 */
export default class KSVD {
    /**
     * @param {Array<Array<number>>} x Training data
     * @param {number} m Reduced dimension
     * @param {number} [k] Sparsity parameter
     */
    constructor(x: Array<Array<number>>, m: number, k?: number);
    _y: Matrix<number[]>;
    _m: number;
    _k: number;
    _d: Matrix<number>;
    /**
     * Fit model and returns error.
     * @returns {number} Error
     */
    fit(): number;
    _r: Matrix<T>;
    _omp(y: any): Matrix<number>;
    /**
     * Returns reduced values.
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
