/**
 * Kolmogorov–Zurbenko filter
 */
export default class KolmogorovZurbenkoFilter {
    /**
     * @param {number} m Window size
     * @param {number} k Iteration count of a moving average
     */
    constructor(m: number, k: number);
    _m: number;
    _k: number;
    _ma(x: any): number[];
    /**
     * Returns predicted values.
     * @param {number[]} x Training data
     * @returns {number[]} Predicted values
     */
    predict(x: number[]): number[];
}
