/**
 * Label propagation
 */
export default class LabelPropagation {
    /**
     * @param {'rbf' | 'knn'} [method] Method name
     * @param {number} [sigma] Sigma of normal distribution
     * @param {number} [k] Number of neighborhoods
     */
    constructor(method?: 'rbf' | 'knn', sigma?: number, k?: number);
    _k: number;
    _sigma: number;
    _affinity: "rbf" | "knn";
    _affinity_matrix(x: any): Matrix<number>;
    /**
     * Initialize model.
     * @param {Array<Array<number>>} x Training data
     * @param {(* | null)[]} y Target values
     */
    init(x: Array<Array<number>>, y: (any | null)[]): void;
    _y: any[];
    _classes: any[];
    _w: Matrix<number>;
    _probs: Matrix<number>;
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted categories.
     * @returns {*[]} Predicted values
     */
    predict(): any[];
}
import Matrix from '../util/matrix.js';
