/**
 * Lagrange interpolation
 */
export default class LagrangeInterpolation {
    /**
     * @param {'weighted' | 'newton' | ''} [method] Method name
     */
    constructor(method?: 'weighted' | 'newton' | '');
    _method: "" | "weighted" | "newton";
    _w_type: number;
    /**
     * Fit model.
     * @param {number[]} x Training data
     * @param {number[]} y Target values
     */
    fit(x: number[], y: number[]): void;
    _x: number[];
    _y: number[];
    /**
     * Returns predicted interpolated values.
     * @param {number[]} target Sample data
     * @returns {number[]} Predicted values
     */
    predict(target: number[]): number[];
    _weighted(target: any): any;
    _newton(target: any): number[];
}
