/**
 * Lanczos interpolation
 */
export default class LanczosInterpolation {
    /**
     * @param {number} n Order
     */
    constructor(n: number);
    _n: number;
    /**
     * Fit model parameters.
     * @param {number[]} values Training data
     */
    fit(values: number[]): void;
    _v: number[];
    _sinc(x: any): number;
    /**
     * Returns predicted interpolated values.
     * @param {number[]} index Training data
     * @returns {number[]} Predicted values
     */
    predict(index: number[]): number[];
}
