/**
 * Laplacian edge detection
 */
export default class Laplacian {
    /**
     * @param {number} th Threshold
     * @param {4 | 8} [n] Number of neighborhoods
     */
    constructor(th: number, n?: 4 | 8);
    _threshold: number;
    _n: 4 | 8;
    _convolute(x: any, kernel: any): any[][];
    /**
     * Returns predicted edge flags.
     * @param {Array<Array<number>>} x Training data
     * @returns {Array<Array<boolean>>} Predicted values. `true` if a pixel is edge.
     */
    predict(x: Array<Array<number>>): Array<Array<boolean>>;
}
