/**
 * Laplacian eigenmaps
 */
export default class LaplacianEigenmaps {
    /**
     * @param {number} rd Reduced dimension
     * @param {'rbf' | 'knn'} [affinity] Affinity type name
     * @param {number} [k] Number of neighborhoods
     * @param {number} [sigma] Sigma of normal distribution
     * @param {'unnormalized' | 'normalized'} [laplacian] Normalized laplacian matrix or not
     */
    constructor(rd: number, affinity?: 'rbf' | 'knn', k?: number, sigma?: number, laplacian?: 'unnormalized' | 'normalized');
    _rd: number;
    _affinity: "rbf" | "knn";
    _k: number;
    _sigma: number;
    _laplacian: "unnormalized" | "normalized";
    /**
     * Returns reduced datas.
     * @param {Array<Array<number>>} x Training data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
    _ev: Matrix<number>;
}
import Matrix from '../util/matrix.js';
