/**
 * Latent dirichlet allocation
 */
export default class LatentDirichletAllocation {
    /**
     * @param {number} [t] Topic count
     */
    constructor(t?: number);
    _k: number;
    _alpha: number;
    _beta: number;
    /**
     * Initialize model.
     * @param {Array<Array<*>>} x Training data
     */
    init(x: Array<Array<any>>): void;
    _x_cand: any[];
    _w: number[][];
    _zmn: any[];
    _nmz: Matrix<T>;
    _nzt: Matrix<T>;
    _nz: Matrix<number>;
    _n: number;
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
}
import Matrix from '../util/matrix.js';
