/**
 * Least median squares regression
 */
export default class LeastMedianSquaresRegression {
    /**
     * @param {number} k Sampling count
     */
    constructor(k?: number);
    _w: Matrix<number>;
    _k: number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    _score: number;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
