/**
 * Lp norm linear regression
 */
export default class LpNormLinearRegression {
    /**
     * @param {number} [p] Power parameter for norm
     */
    constructor(p?: number);
    _p: number;
    _b: Matrix<number>;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    _w: Matrix<number>;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
