/**
 * Least trimmed squares
 */
export default class LeastTrimmedSquaresRegression {
    /**
     * @param {number} [h] Sampling rate
     */
    constructor(h?: number);
    _w: any;
    _h: number;
    _ls(x: any, y: any): any[];
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
