/**
 * MacQueen's k-Means algorithm
 */
export default class MacQueenKMeans {
    /**
     * @param {number} k Number of clusters
     */
    constructor(k: number);
    _k: number;
    _c: any[];
    _n: any[];
    _d: (a: any, b: any) => number;
    /**
     * Centroids
     * @type {Array<Array<number>>}
     */
    get centroids(): number[][];
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     */
    fit(datas: Array<Array<number>>): void;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
