/**
 * Multivariate Adaptive Regression Splines
 */
export default class MultivariateAdaptiveRegressionSplines {
    /**
     * @param {number} mmax Maximum number of terms
     */
    constructor(mmax: number);
    _mmax: number;
    _b: Term[];
    _a: Matrix<number>;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
declare class Term {
    constructor(s?: any[], t?: any[], v?: any[]);
    _s: any[];
    _t: any[];
    _v: any[];
    prod(s: any, t: any, v: any): Term;
    calc(x: any): number;
}
import Matrix from '../util/matrix.js';
export {};
