/**
 * Max absolute scaler
 */
export default class MaxAbsScaler {
    /**
     * Fit model.
     * @param {number[] | Array<Array<number>>} x Training data
     */
    fit(x: number[] | Array<Array<number>>): void;
    _max: number | any[] | number[];
    /**
     * Returns transformed values.
     * @param {number[] | Array<Array<number>>} x Sample data
     * @returns {number[] | Array<Array<number>>} Predicted values
     */
    predict(x: number[] | Array<Array<number>>): number[] | Array<Array<number>>;
    /**
     * Returns inverse transformed values.
     * @param {number[] | Array<Array<number>>} z Sample data
     * @returns {number[] | Array<Array<number>>} Predicted values
     */
    inverse(z: number[] | Array<Array<number>>): number[] | Array<Array<number>>;
}
