/**
 * Maximum likelihood estimator
 */
export default class MaximumLikelihoodEstimator {
    /**
     * @param {'normal'} [distribution] Distribution name
     */
    constructor(distribution?: 'normal');
    _distribution: "normal";
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     */
    fit(x: Array<Array<number>>): void;
    _m: any;
    _s: any;
    /**
     * Returns probability of the data.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted values
     */
    probability(x: Array<Array<number>>): number[];
    /**
     * Returns probability of the data.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: Array<Array<number>>): number[];
}
