/**
 * Minimum Covariance Determinant
 */
export default class MCD {
    /**
     * @param {Array<Array<number>>} datas Training data
     * @param {number} sampling_rate Sampling rate
     */
    constructor(datas: Array<Array<number>>, sampling_rate: number);
    _datas: number[][];
    _h: number;
    _ext_idx: number[];
    _Ri: Matrix<number>;
    _mean: Matrix<number>;
    _std: Matrix<number>;
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns anomaly degrees.
     * @param {Array<Array<number>>} data Sample data
     * @returns {number[]} Predicted values
     */
    predict(data: Array<Array<number>>): number[];
}
import Matrix from '../util/matrix.js';
