/**
 * Multi-dimensional Scaling
 */
export default class MDS {
    /**
     * @param {number | null} [rd] Reduced dimension
     */
    constructor(rd?: number | null);
    _rd: number;
    /**
     * Returns reduced values.
     * @param {Array<Array<number>>} x Training data
     * @param {boolean} [dmat] True if the `x` is distance matrix.
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>, dmat?: boolean): Array<Array<number>>;
}
