/**
 * Min-max normalization
 */
export default class MinmaxNormalization {
    /**
     * @param {number} [min] Minimum value
     * @param {number} [max] Maximum value
     */
    constructor(min?: number, max?: number);
    _min: number;
    _max: number;
    /**
     * Fit model.
     * @param {number[] | Array<Array<number>>} x Training data
     */
    fit(x: number[] | Array<Array<number>>): void;
    _d_min: number | any[] | number[];
    _d_max: number | any[] | number[];
    /**
     * Returns transformed values.
     * @param {number[] | Array<Array<number>>} x Sample data
     * @returns {number[] | Array<Array<number>>} Predicted values
     */
    predict(x: number[] | Array<Array<number>>): number[] | Array<Array<number>>;
    /**
     * Returns inverse transformed values.
     * @param {number[] | Array<Array<number>>} z Sample data
     * @returns {number[] | Array<Array<number>>} Predicted values
     */
    inverse(z: number[] | Array<Array<number>>): number[] | Array<Array<number>>;
}
