/**
 * Margin Infused Relaxed Algorithm
 */
export default class MIRA {
    _w: any[];
    _b: number;
    /**
     * Update model parameters with one data.
     * @param {number[]} x Training data
     * @param {1 | -1} y Target value
     */
    update(x: number[], y: 1 | -1): void;
    /**
     * Fit model parameters.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<1 | -1>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<1 | -1>): void;
    /**
     * Returns predicted datas.
     * @param {Array<Array<number>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<number>>): (1 | -1)[];
}
