/**
 * Modified Locally Linear Embedding
 */
export default class MLLE {
    /**
     * @param {number} k Number of neighborhoods
     * @param {number | null} [rd] Reduced dimension
     */
    constructor(k: number, rd?: number | null);
    _k: number;
    _rd: number;
    /**
     * Returns reduced values.
     * @param {Array<Array<number>>} data Training data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(data: Array<Array<number>>): Array<Array<number>>;
}
