/**
 * MONothetic Analysis Clustering
 */
export default class MONA {
    /**
     * Number of clusters
     * @type {number}
     */
    get size(): number;
    /**
     * Initialize model.
     * @param {Array<Array<0 | 1>>} datas Training data
     */
    init(datas: Array<Array<0 | 1>>): void;
    _x: (0 | 1)[][];
    _tree: {
        idx: number[];
        children: any[];
        readonly leafs: any;
    };
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
}
