/**
 * Monothetic Clustering
 */
export default class MonotheticClustering {
    /**
     * Number of clusters
     * @type {number}
     */
    get size(): number;
    /**
     * Initialize model.
     * @param {Array<Array<number>>} datas Training data
     */
    init(datas: Array<Array<number>>): void;
    _x: number[][];
    _d: number;
    _c: {
        index: number[];
        values: number[][];
        children: any[];
        readonly leafs: any[];
    };
    _distance2(a: any, b: any): any;
    _inertia(c: any): number;
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
}
