/**
 * Mountain method
 */
export default class Mountain {
    /**
     * @param {number} r Resolution of grid
     * @param {number} alpha Tuning parameter
     * @param {number} beta Tuning parameter
     */
    constructor(r: number, alpha: number, beta: number);
    _resolution: number;
    _alpha: number;
    _beta: number;
    _centroids: any[];
    _distance(a: any, b: any): number;
    _max(arr: any): number[];
    /**
     * Initialize model.
     * @param {Array<Array<number>>} datas Training data
     */
    init(datas: Array<Array<number>>): void;
    _x: number[][];
    _grid: any[];
    _m: any[];
    _mh: number;
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} data Sample data
     * @returns {number[]} Predicted values
     */
    predict(data: Array<Array<number>>): number[];
}
