/**
 * Simple moving average
 */
export class SimpleMovingAverage {
    /**
     * @param {number} n Window size
     */
    constructor(n: number);
    _n: number;
    /**
     * Returns smoothed values.
     * @param {number[]} data Training data
     * @returns {number[]} Predicted values
     */
    predict(data: number[]): number[];
}
/**
 * Linear weighted moving average
 */
export class LinearWeightedMovingAverage {
    /**
     * @param {number} n Window size
     */
    constructor(n: number);
    _n: number;
    /**
     * Returns smoothed values.
     * @param {number[]} data Training data
     * @returns {number[]} Predicted values
     */
    predict(data: number[]): number[];
}
/**
 * Triangular moving average
 */
export class TriangularMovingAverage {
    /**
     * @param {number} k Window size
     */
    constructor(k: number);
    _k: number;
    /**
     * Returns smoothed values.
     * @param {number[]} data Training data
     * @returns {number[]} Predicted values
     */
    predict(data: number[]): number[];
}
