/**
 * Mahalanobis Taguchi method
 */
export default class MT {
    _Ri: Matrix<number>;
    _mean: Matrix<number>;
    _std: Matrix<number>;
    /**
     * Fit model.
     * @param {Array<Array<number>>} data Training data
     */
    fit(data: Array<Array<number>>): void;
    /**
     * Returns anomaly degrees.
     * @param {Array<Array<number>>} data Sample data
     * @returns {number[]} Predicted values
     */
    predict(data: Array<Array<number>>): number[];
}
import Matrix from '../util/matrix.js';
