/**
 * Mutual information feature selector
 */
export default class MutualInformationFeatureSelection {
    /**
     * @param {number} k Number of selected features
     */
    constructor(k: number);
    _k: number;
    _bins: number;
    _mutual_information(a: any, b: any): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    _importance: number[][];
    /**
     * Returns feature selected values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
