/**
 * Mutual k-nearest-neighbor model
 */
export default class MutualKNN {
    /**
     * @param {number} [k] Number of neighborhoods
     */
    constructor(k?: number);
    _p: any[];
    _k: number;
    /**
     * Number of clusters
     * @type {number}
     */
    get size(): number;
    _d(a: any, b: any): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     */
    fit(datas: Array<Array<number>>): void;
    _c: number[];
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
}
