/**
 * n-cubic interpolation
 */
export default class NCubicInterpolation {
    /**
     * Fit model parameters.
     * @param {*[]} values Training data. Nested number array
     * @param {Array<Array<number>>} grids Grid values for each axises
     */
    fit(values: any[], grids: Array<Array<number>>): void;
    _v: any[];
    _grids: number[][];
    _offset_idx: any[];
    /**
     * Returns predicted interpolated values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {(number | null)[]} Predicted values
     */
    predict(x: Array<Array<number>>): (number | null)[];
}
