/**
 * Nadaraya–Watson kernel regression
 */
export default class NadarayaWatson {
    /**
     * @param {number} [s] Sigmas of normal distribution
     */
    constructor(s?: number);
    _s: number;
    _p: (x: any) => Matrix<number>;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    _y: number[][];
    _x: Matrix<number[]>;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: Array<Array<number>>): number[];
}
import Matrix from '../util/matrix.js';
