/**
 * Naive bayes
 */
export default class NaiveBayes {
    /**
     * @param {'gaussian'} [distribution] Distribution name
     */
    constructor(distribution?: 'gaussian');
    _labels: any[];
    _rate: any[];
    _p_class: typeof Gaussian;
    _p: any[];
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     * @param {*[]} labels Target values
     */
    fit(datas: Array<Array<number>>, labels: any[]): void;
    /**
     * Returns predicted probabilities.
     * @param {Array<Array<number>>} data Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    probability(data: Array<Array<number>>): Array<Array<number>>;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} data Sample data
     * @returns {*[]} Predicted values
     */
    predict(data: Array<Array<number>>): any[];
}
declare class Gaussian {
    _means: any;
    _vars: any;
    _estimate_prob(x: any): void;
    _data_prob(x: any): Matrix<number>;
}
import Matrix from '../util/matrix.js';
export {};
