/**
 * Niblack thresholding
 */
export default class NiblackThresholding {
    /**
     * @param {number} [n] Size of local range
     * @param {number} [k] Tuning parameter
     */
    constructor(n?: number, k?: number);
    _n: number;
    _k: number;
    /**
     * Returns thresholded values.
     * @param {Array<Array<number>>} x Training data
     * @returns {Array<Array<0 | 1>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<0 | 1>>;
}
