/**
 * Non-local means filter
 */
export default class NLMeans {
    /**
     * @param {number} n Manhattan distance of the pixel to the nearest neighbor
     * @param {number} h Degree of filtering
     */
    constructor(n: number, h: number);
    _h: number;
    _neighbor: number;
    _d(a: any, b: any): any;
    /**
     * Returns predicted values.
     * @param {Array<Array<Array<number>>>} x Training data
     * @returns {Array<Array<Array<number>>>} Predicted values
     */
    predict(x: Array<Array<Array<number>>>): Array<Array<Array<number>>>;
}
