/**
 *  Natural Neighborhood Based Classification Algorithm
 */
export default class NNBCA {
    /**
     * @param {'euclid' | 'manhattan' | 'chebyshev' | 'minkowski' | function (number[], number[]): number} [metric] Metric name
     */
    constructor(metric?: 'euclid' | 'manhattan' | 'chebyshev' | 'minkowski' | ((arg0: number[], arg1: number[]) => number));
    _metric: "euclid" | "manhattan" | "chebyshev" | "minkowski" | ((arg0: number[], arg1: number[]) => number);
    _d: (a: any, b: any) => any;
    /**
     * Add datas.
     * @param {Array<Array<number>>} datas Training data
     * @param {*[]} targets Target values
     */
    fit(datas: Array<Array<number>>, targets: any[]): void;
    _x: number[][];
    _y: any[];
    _classes: any[];
    _distances: any[][];
    _g: any[][];
    _r: number;
    _t: any[];
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {(* | null)[]} Predicted values
     */
    predict(datas: Array<Array<number>>): (any | null)[];
}
