/**
 * Additive coupling layer
 */
export default class AdditiveCoupling extends FlowLayer {
    /**
     * @param {object} config object
     * @param {number | null} [config.d] Number of dimensions to input the inner network
     * @param {NeuralNetwork | *[] | null} [config.net] Inner network
     */
    constructor({ d, net, ...rest }: {
        d?: number | null;
        net?: NeuralNetwork | any[] | null;
    });
    _d: number;
    _m: NeuralNetwork;
    calc(x: any): any;
    _o: any;
    inverse(y: any): any;
    grad(bo: any): any;
    update(optimizer: any): void;
    toObject(): {
        type: string;
        net: import("../graph.js").LayerObject[];
    };
}
import { FlowLayer } from './base.js';
import NeuralNetwork from '../../neuralnetwork.js';
