/**
 * Elastic ELU layer
 */
export default class ElasticELULayer extends Layer {
    /**
     * @param {object} config object
     * @param {number} [config.k] k
     * @param {number} [config.alpha] alpha
     * @param {number} [config.beta] beta
     */
    constructor({ k, alpha, beta, ...rest }: {
        k?: number;
        alpha?: number;
        beta?: number;
    });
    _k: number;
    _alpha: number;
    _beta: number;
    calc(x: any): any;
    _i: any;
    grad(bo: any): any;
    _bo: any;
    update(optimizer: any): void;
    toObject(): {
        type: string;
        k: number;
        alpha: number;
        beta: number;
    };
}
import Layer from './base.js';
