/**
 * Embedding layer
 */
export default class EmbeddingLayer extends Layer {
    /**
     * @param {object} config object
     * @param {number} [config.size] size
     * @param {object} [config.embeddings] embedding vectors
     */
    constructor({ size, embeddings, ...rest }: {
        size?: number;
        embeddings?: object;
    });
    _size: number;
    _v: any;
    calc(x: any): Tensor | Matrix<T>;
    _i: any;
    grad(bo: any): any;
    _dw: {};
    update(optimizer: any): void;
    toObject(): {
        type: string;
        size: number;
        embeddings: any;
    };
}
import Layer from './base.js';
import Tensor from '../../../util/tensor.js';
import Matrix from '../../../util/matrix.js';
