/**
 * Global Lp pool layer
 */
export default class GlobalLpPoolLayer extends Layer {
    /**
     * @param {object} config object
     * @param {number} [config.p] p
     * @param {number} [config.channel_dim] Dimension of the channel
     */
    constructor({ p, channel_dim, ...rest }: {
        p?: number;
        channel_dim?: number;
    });
    _p: number;
    _channel_dim: 1 | -1;
    _index(i: any, c: any, k: any): any[];
    calc(x: any): Tensor;
    _i: any;
    _sp: Tensor;
    _o: Tensor;
    grad(bo: any): Tensor;
    _bo: any;
    _bi: Tensor;
    toObject(): {
        type: string;
        p: number;
        channel_dim: number;
    };
}
import Layer from './base.js';
import Tensor from '../../../util/tensor.js';
