/**
 * Layer normalization layer
 */
export default class LayerNormalizationLayer extends Layer {
    /**
     * @param {object} config object
     * @param {number} [config.axis] Dimension of the channel
     * @param {number} [config.epsilon] Epsilon
     * @param {number | number[] | string} [config.scale] Scale
     * @param {number | number[] | string} [config.offset] Offset
     */
    constructor({ axis, epsilon, scale, offset, ...rest }: {
        axis?: number;
        epsilon?: number;
        scale?: number | number[] | string;
        offset?: number | number[] | string;
    });
    _axis: number;
    _epsilon: number;
    _scale: number | number[];
    _scalename: string;
    _offset: number | number[];
    _offsetname: string;
    get mean(): any;
    get invStdDev(): any;
    calc(x: any): any;
    _xc: any;
    _var: any;
    _xh: any;
    _mean: any;
    _invStdDev: any;
    grad(bo: any): any;
    _bo: any;
    update(optimizer: any): void;
    toObject(): {
        type: string;
        axis: number;
        epsilon: number;
        scale: any;
        offset: any;
    };
}
import Layer from './base.js';
