/**
 * LRN layer
 */
export default class LRNLayer extends Layer {
    /**
     * @param {object} config object
     * @param {number} [config.alpha] alpha
     * @param {number} [config.beta] beta
     * @param {number} [config.k] k
     * @param {number} config.n n
     * @param {number} [config.channel_dim] Dimension of the channel
     */
    constructor({ alpha, beta, k, n, channel_dim, ...rest }: {
        alpha?: number;
        beta?: number;
        k?: number;
        n: number;
        channel_dim?: number;
    });
    _alpha: number;
    _beta: number;
    _k: number;
    _n: number;
    _channel_dim: 1 | -1;
    _index(i: any, c: any, k: any): any[];
    calc(x: any): any;
    _i: any;
    _s: any;
    grad(bo: any): any;
    toObject(): {
        type: string;
        alpha: number;
        beta: number;
        k: number;
        n: number;
        channel_dim: number;
    };
}
import Layer from './base.js';
