/**
 * One-hot layer
 */
export default class OnehotLayer extends Layer {
    /**
     * @param {object} config config
     * @param {number} [config.class_size] Number of classes
     * @param {number[]} [config.values] Values of classes
     */
    constructor({ class_size, values, ...rest }: {
        class_size?: number;
        values?: number[];
    });
    _c: number;
    _values: number[];
    calc(x: any): Matrix<number>;
    _i: any;
    grad(): any;
    toObject(): {
        type: string;
        class_size: number;
        values: number[];
    };
}
import Layer from './base.js';
import Matrix from '../../../util/matrix.js';
