/**
 * Parametric deformable ELU layer
 */
export default class ParametricDeformableELULayer extends Layer {
    /**
     * @param {object} config config
     * @param {number} [config.t] t
     * @param {number} [config.alpha] alpha
     */
    constructor({ t, alpha, ...rest }: {
        t?: number;
        alpha?: number;
    });
    _t: number;
    _alpha: number;
    calc(x: any): any;
    _i: any;
    grad(bo: any): any;
    _bo: any;
    update(optimizer: any): void;
    toObject(): {
        type: string;
        t: number;
        alpha: number;
    };
}
import Layer from './base.js';
