/**
 * Random layer
 */
export default class RandomLayer extends Layer {
    /**
     * @param {object} config config
     * @param {number | number[] | string} config.size Size of output
     * @param {number} [config.mean] Mean of values
     * @param {number} [config.variance] Variance of values
     */
    constructor({ size, mean, variance, ...rest }: {
        size: number | number[] | string;
        mean?: number;
        variance?: number;
    });
    _size: string | number | number[];
    _mean: number;
    _variance: number;
    _rows: number;
    bind({ n }: {
        n: any;
    }): void;
    calc(): Tensor | Matrix<number>;
    grad(): void;
    toObject(): {
        type: string;
        size: string | number | number[];
    };
}
import Layer from './base.js';
import Tensor from '../../../util/tensor.js';
import Matrix from '../../../util/matrix.js';
