/**
 * Randomized ReLU layer
 */
export default class RandomizedReLULayer extends Layer {
    /**
     * @param {object} config config
     * @param {number} [config.l] Low value
     * @param {number} [config.u] High value
     */
    constructor({ l, u, ...rest }: {
        l?: number;
        u?: number;
    });
    _l: number;
    _u: number;
    _r: Tensor;
    _training: boolean;
    bind({ training }: {
        training: any;
    }): void;
    calc(x: any): any;
    _i: any;
    grad(bo: any): any;
    toObject(): {
        type: string;
        l: number;
        u: number;
    };
}
import Layer from './base.js';
import Tensor from '../../../util/tensor.js';
