/**
 * Softplus linear unit layer
 */
export default class SoftplusLinearUnitLayer extends Layer {
    /**
     * @param {object} config config
     * @param {number} [config.alpha] alpha
     * @param {number} [config.beta] beta
     * @param {number} [config.gamma] gamma
     */
    constructor({ alpha, beta, gamma, ...rest }: {
        alpha?: number;
        beta?: number;
        gamma?: number;
    });
    _alpha: number;
    _beta: number;
    _gamma: number;
    calc(x: any): any;
    _i: any;
    grad(bo: any): any;
    _bo: any;
    update(optimizer: any): void;
    toObject(): {
        type: string;
        alpha: number;
        beta: number;
        gamma: number;
    };
}
import Layer from './base.js';
