/**
 * Sparse layer
 */
export default class SparseLayer extends Layer {
    /**
     * @param {object} config config
     * @param {number} config.rho rho
     * @param {number} config.beta beta
     */
    constructor({ rho, beta, ...rest }: {
        rho: number;
        beta: number;
    });
    _rho: number;
    _beta: number;
    bind({ rho }: {
        rho: any;
    }): void;
    calc(x: any): any;
    _rho_hat: any;
    grad(bo: any): Matrix<number>;
    toObject(): {
        type: string;
        rho: number;
        beta: number;
    };
}
import Layer from './base.js';
import Matrix from '../../../util/matrix.js';
