declare namespace _default {
    /**
     * Export to onnx object.
     * @param {onnx.ModelProto} model Model object
     * @param {import("../../graph").LayerObject & {type: 'batch_normalization'}} obj Node object
     * @param {{[key: string]: {type: onnx.TensorProto.DataType; size: number[]}}} info Output informatino of other layers
     */
    function _export(model: onnx.ModelProto, obj: {
        type: "batch_normalization";
        scale?: string | number | number[];
        offset?: string | number | number[];
        epsilon?: number;
        channel_dim?: number;
        input_mean?: string | number[];
        input_var?: string | number[];
    } & {
        input?: string | string[];
        name?: string;
    } & {
        type: "batch_normalization";
    }, info: {
        [key: string]: {
            type: onnx.TensorProto.DataType;
            size: number[];
        };
    }): void;
    export { _export as export };
}
export default _default;
