declare namespace _default {
    /**
     * Export to onnx object.
     * @param {onnx.ModelProto} model Model object
     * @param {import("../../graph").LayerObject & {type: 'bitwise_or'}} obj Node object
     * @param {{[key: string]: {type: onnx.TensorProto.DataType; size: number[]}}} info Output informatino of other layers
     * @returns {{type: onnx.TensorProto.DataType; size: number[]} | undefined} Output information of this layer
     */
    function _export(model: onnx.ModelProto, obj: {
        type: "bitwise_or";
    } & {
        input?: string | string[];
        name?: string;
    } & {
        type: "bitwise_or";
    }, info: {
        [key: string]: {
            type: onnx.TensorProto.DataType;
            size: number[];
        };
    }): {
        type: onnx.TensorProto.DataType;
        size: number[];
    };
    export { _export as export };
}
export default _default;
