declare namespace _default {
    /**
     * Export to onnx object.
     * @param {onnx.ModelProto} model Model object
     * @param {import("../../graph.js").LayerObject & {type: 'conv'}} obj Node object
     * @param {{[key: string]: {type: onnx.TensorProto.DataType; size: number[]}}} info Output informatino of other layers
     * @returns {{type: onnx.TensorProto.DataType; size: number[]}} Output information of this layer
     */
    function _export(model: onnx.ModelProto, obj: {
        type: "conv";
        kernel: number | number[];
        channel?: number;
        stride?: number | number[];
        padding?: number | number[];
        w?: string | Tensor | number[][];
        activation?: any;
        l2_decay?: number;
        l1_decay?: number;
        channel_dim?: number;
    } & {
        input?: string | string[];
        name?: string;
    } & {
        type: "conv";
    }, info: {
        [key: string]: {
            type: onnx.TensorProto.DataType;
            size: number[];
        };
    }): {
        type: onnx.TensorProto.DataType;
        size: number[];
    };
    export { _export as export };
}
export default _default;
import Tensor from '../../../../util/tensor.js';
