declare namespace _default {
    /**
     * Export to onnx object.
     * @param {onnx.ModelProto} model Model object
     * @param {import("../../graph").LayerObject & {type: 'eelu'}} obj Node object
     */
    function _export(model: onnx.ModelProto, obj: {
        type: "eelu";
        k?: number;
        alpha?: number;
        beta?: number;
    } & {
        input?: string | string[];
        name?: string;
    } & {
        type: "eelu";
    }): void;
    export { _export as export };
}
export default _default;
