declare namespace _default {
    /**
     * Export to onnx object.
     * @param {onnx.ModelProto} model Model object
     * @param {import("../../graph").LayerObject & {type: 'full'}} obj Node object
     * @param {{[key: string]: {type: onnx.TensorProto.DataType; size: number[]}}} info Output informatino of other layers
     * @returns {{type: onnx.TensorProto.DataType; size: number[]}} Output information of this layer
     */
    function _export(model: onnx.ModelProto, obj: {
        type: "full";
        out_size: string | number;
        w?: string | Matrix<number> | number[][];
        b?: string | Matrix<number> | number[][];
        activation?: any;
        l2_decay?: number;
        l1_decay?: number;
    } & {
        input?: string | string[];
        name?: string;
    } & {
        type: "full";
    }, info: {
        [key: string]: {
            type: onnx.TensorProto.DataType;
            size: number[];
        };
    }): {
        type: onnx.TensorProto.DataType;
        size: number[];
    };
    export { _export as export };
}
export default _default;
import Matrix from '../../../../util/matrix.js';
