declare namespace _default {
    /**
     * Export to onnx object.
     * @param {onnx.ModelProto} model Model object
     * @param {import("../../graph").LayerObject & {type: 'greater_or_equal'}} obj Node object
     * @returns {{type: onnx.TensorProto.DataType; size: number[]}} Output information of this layer
     */
    function _export(model: onnx.ModelProto, obj: {
        type: "greater_or_equal";
    } & {
        input?: string | string[];
        name?: string;
    } & {
        type: "greater_or_equal";
    }): {
        type: onnx.TensorProto.DataType;
        size: number[];
    };
    export { _export as export };
}
export default _default;
