declare namespace _default {
    /**
     * Export to onnx object.
     * @param {onnx.ModelProto} model Model object
     * @param {import("../../graph").LayerObject & {type: 'hard_sigmoid'}} obj Node object
     */
    function _export(model: onnx.ModelProto, obj: {
        type: "hard_sigmoid";
        alpha?: number;
        beta?: number;
    } & {
        input?: string | string[];
        name?: string;
    } & {
        type: "hard_sigmoid";
    }): void;
    export { _export as export };
}
export default _default;
