declare namespace _default {
    /**
     * Export to onnx object.
     * @param {onnx.ModelProto} model Model object
     * @param {import("../../graph.js").LayerObject & {type: 'max_pool'}} obj Node object
     * @param {{[key: string]: {type: onnx.TensorProto.DataType; size: number[]}}} info Output informatino of other layers
     * @returns {{type: onnx.TensorProto.DataType; size: number[]}} Output information of this layer
     */
    function _export(model: onnx.ModelProto, obj: {
        type: "max_pool";
        kernel: number | number[];
        stride?: number | number[];
        padding?: number | number[];
        channel_dim?: number;
    } & {
        input?: string | string[];
        name?: string;
    } & {
        type: "max_pool";
    }, info: {
        [key: string]: {
            type: onnx.TensorProto.DataType;
            size: number[];
        };
    }): {
        type: onnx.TensorProto.DataType;
        size: number[];
    };
    export { _export as export };
}
export default _default;
