declare namespace _default {
    /**
     * Export to onnx object.
     * @param {onnx.ModelProto} model Model object
     * @param {import("../../graph").LayerObject & {type: 'output'}} obj Node object
     * @param {{[key: string]: {type: onnx.TensorProto.DataType; size: number[]}}} info Output informatino of other layers
     */
    function _export(model: onnx.ModelProto, obj: {
        type: "output";
    } & {
        input?: string | string[];
        name?: string;
    } & {
        type: "output";
    }, info: {
        [key: string]: {
            type: onnx.TensorProto.DataType;
            size: number[];
        };
    }): void;
    export { _export as export };
}
export default _default;
