export { default as onnx } from "./onnx_pb.js";
/**
 * ONNX exporter
 */
export default class ONNXExporter {
    /**
     * Create onnx model proto.
     * @returns {onnx.ModelProto} Model proto
     */
    static createONNXModel(): onnx.ModelProto;
    /**
     * Dump layer object.
     * @param {import("../graph").LayerObject["type"]} type The layer type
     * @returns {*} Layer exporter
     */
    static getLayerExporter(type: import("../graph").LayerObject["type"]): any;
    /**
     * Dump onnx model.
     * @param {import("../graph").LayerObject[]} nodes represented the graph
     * @returns {Uint8Array} Protocol buffer data
     */
    static dump(nodes: import("../graph").LayerObject[]): Uint8Array;
}
