/**
 * Online Aggregate Prank-Bayes Point Machine
 */
export default class OAPBPM {
    /**
     * @param {number} n Number of PRank models
     * @param {number} tau Probability to learn
     * @param {number} [rate] Learning rate
     */
    constructor(n: number, tau: number, rate?: number);
    _n: number;
    _tau: number;
    _wh: any[];
    _w: any[];
    _a: number;
    _bh: number[];
    _b: number[][];
    _min: number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<number>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<number>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<number>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<number>;
}
