/**
 * arbitrarily ORiented projected CLUSter generation
 */
export default class ORCLUS {
    /**
     * @param {number} k Number of clusters
     * @param {number} k0 Number of begining seeds
     * @param {number} l Number of dimensions
     */
    constructor(k: number, k0: number, l: number);
    _k: number;
    _k0: number;
    _l: number;
    _alpha: number;
    _beta: number;
    _pdist(a: any, b: any, e: any): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} datas Training data
     */
    fit(datas: Array<Array<number>>): void;
    _x: number[][];
    _s: any;
    _e: any;
    _assign(): any;
    _findVectors(c: any, q: any): number[][];
    _merge(c: any, knew: any, lnew: any): any;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
