/**
 * Ordered logistic regression
 */
export default class OrderedLogisticRegression {
    /**
     * @param {number} [rate] Learning rate
     */
    constructor(rate?: number);
    _w: Matrix<number>;
    _a: number;
    _s(x: any): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<number>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<number>): void;
    _response: any[];
    _t: number[];
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<number>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<number>;
}
import Matrix from '../util/matrix.js';
