/**
 * Particle filter
 */
export default class ParticleFilter {
    _n: number;
    _l: number;
    _noise: number;
    /**
     * Fit and returns smoothed values.
     * @param {Array<Array<number>>} z Training data
     * @returns {Array<Array<number>>} Predicted values
     */
    fit(z: Array<Array<number>>): Array<Array<number>>;
    /**
     * Returns predicted future values.
     * @ignore
     * @param {number} k Prediction count
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(k: number): Array<Array<number>>;
}
