/**
 * Possibilistic c-means
 */
export default class PossibilisticCMeans {
    /**
     * @param {number} [m] Fuzziness factor
     */
    constructor(m?: number);
    _m: number;
    _c: any[];
    _u: any[];
    _k: number;
    _distance2(a: any, b: any): any;
    /**
     * Initialize model.
     * @param {Array<Array<number>>} datas Training data
     */
    init(datas: Array<Array<number>>): void;
    _x: number[][];
    /**
     * Add a new cluster.
     */
    add(): void;
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted coefficients.
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(): Array<Array<number>>;
}
