/**
 * Percentile anomaly detection
 */
export default class PercentileAnormaly {
    /**
     * @param {number} percentile Percentile value
     * @param {'data' | 'normal'} [distribution] Distribution name
     */
    constructor(percentile: number, distribution?: 'data' | 'normal');
    _percentile: number;
    _distribution: "data" | "normal";
    _thresholds: any[];
    /**
     * Fit model.
     * @param {Array<Array<number>>} data Training data
     */
    fit(data: Array<Array<number>>): void;
    /**
     * Returns predicted anomaly flags.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<boolean>} true if a data is anomaly.
     */
    predict(x: Array<Array<number>>): Array<boolean>;
}
