/**
 * Phansalkar thresholding
 */
export default class PhansalkarThresholding {
    /**
     * @param {number} [n] Size of local range
     * @param {number} [k] Tuning parameter
     * @param {number} [r] Tuning parameter
     * @param {number} [p] Tuning parameter
     * @param {number} [q] Tuning parameter
     */
    constructor(n?: number, k?: number, r?: number, p?: number, q?: number);
    _n: number;
    _k: number;
    _r: number;
    _p: number;
    _q: number;
    /**
     * Returns thresholded values.
     * @param {Array<Array<number>>} x Training data
     * @returns {Array<Array<0 | 1>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<0 | 1>>;
}
