/**
 * Probabilistic latent semantic analysis
 */
export default class PLSA {
    /**
     * @param {number} [k] Number of clusters
     */
    constructor(k?: number);
    _k: number;
    _beta: number;
    /**
     * Initialize model.
     * @param {Array<Array<*>>} x Training data
     */
    init(x: Array<Array<any>>): void;
    _w: any[];
    _d: number[][];
    _n: Matrix<number>;
    _pz: any[];
    _pwz: Matrix<T>;
    _pdz: Matrix<number>;
    _pzdw: any[];
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
}
import Matrix from '../util/matrix.js';
