/**
 * Polynomial histogram
 */
export default class PolynomialHistogram {
    /**
     * @param {number} [p] Order
     * @param {number} [h] Bin size
     */
    constructor(p?: number, h?: number);
    _p: number;
    _a: any[];
    _h: number;
    _d: number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     */
    fit(x: Array<Array<number>>): void;
    _ranges: number[][];
    /**
     * Returns predicted dencity.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: Array<Array<number>>): number[];
}
