/**
 * Polynomial interpolation
 */
export default class PolynomialInterpolation {
    _w: Matrix<number>;
    /**
     * Fit model.
     * @param {number[]} x Training data
     * @param {number[]} y Target values
     */
    fit(x: number[], y: number[]): void;
    _n: number;
    /**
     * Returns predicted interpolated values.
     * @param {number[]} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: number[]): number[];
}
import Matrix from '../util/matrix.js';
