/**
 * Perceptron ranking
 */
export default class PRank {
    /**
     * @param {number} [rate] Learning rate
     */
    constructor(rate?: number);
    _w: any[];
    _a: number;
    _b: number[];
    _min: number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<number>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<number>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<number>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<number>;
}
