/**
 * Priestley–Chao kernel estimator
 */
export default class PriestleyChao {
    /**
     * @param {number} h Smoothing parameter for the kernel
     */
    constructor(h: number);
    _h: number;
    _p: (x: any) => Matrix<number>;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    _x: Matrix<number | number[]>;
    _x2: Matrix<number | number[]>;
    _xd: Matrix<number>;
    _y: (number | number[])[];
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: Array<Array<number>>): number[];
}
import Matrix from '../util/matrix.js';
