/**
 * Probabilistic Principal component analysis
 */
export default class ProbabilisticPCA {
    /**
     * @param {'analysis' | 'em' | 'bayes'} [method] Method name
     * @param {number} rd Reduced dimension
     */
    constructor(method?: 'analysis' | 'em' | 'bayes', rd: number);
    _method: "em" | "analysis" | "bayes";
    _rd: number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     */
    fit(x: Array<Array<number>>): void;
    _analysis(x: any): void;
    _m: any;
    _sigma: number;
    _w: any;
    _em(x: any): void;
    _bayes(x: any): void;
    _alpha: number[];
    /**
     * Returns reduced datas.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
