/**
 * Probit
 */
export class Probit {
    _w: any;
    /**
     * Initialize this model.
     * @param {Array<Array<number>>} train_x Training data
     * @param {Array<1 | -1>} train_y Target values
     */
    init(train_x: Array<Array<number>>, train_y: Array<1 | -1>): void;
    _x: Matrix<number[]>;
    _y: (1 | -1)[];
    _d: number;
    _cdf(z: any): number;
    _llh(w: any): number;
    /**
     * Fit model parameters.
     */
    fit(): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<number>>): (1 | -1)[];
}
/**
 * Multinomial probit
 */
export class MultinomialProbit extends Probit {
    _classes: any[];
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {*[]} y Target values
     */
    fit(x: Array<Array<number>>, y: any[]): void;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} data Sample data
     * @returns {*[]} Predicted values
     */
    predict(data: Array<Array<number>>): any[];
}
import Matrix from '../util/matrix.js';
