/**
 * Quadratic discriminant analysis
 */
export default class QuadraticDiscriminant {
    _m: any[];
    _s: any[];
    _sinv: any[];
    _c: any[];
    _categories: any[];
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {*[]} y Target values
     */
    fit(x: Array<Array<number>>, y: any[]): void;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} data Sample data
     * @returns {*[]} Predicted values
     */
    predict(data: Array<Array<number>>): any[];
}
