/**
 * Quantile regression
 */
export default class QuantileRegression {
    /**
     * @param {number} [tau] Quantile value
     */
    constructor(tau?: number);
    _tau: number;
    _w: Matrix<number>;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     * @param {number} [learningRate] Learning rate
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>, learningRate?: number): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
