/**
 * Ramer-Douglas-Peucker algorithm
 */
export default class RamerDouglasPeucker {
    /**
     * @param {number} [e] Threshold of distance
     */
    constructor(e?: number);
    _e: number;
    _d(l1: any, l2: any, p: any): number;
    /**
     * Fit model.
     * @param {number[]} x Training data
     * @param {number[]} y Target values
     */
    fit(x: number[], y: number[]): void;
    _x: number[];
    _y: number[];
    _seg: number[][];
    /**
     * Returns predicted values.
     * @param {number[]} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: number[]): number[];
}
