/**
 * Random projection
 */
export default class RandomProjection {
    /**
     * @param {'uniform' | 'root3' | 'normal'} [init] Initialize method name
     * @param {number | null} [rd] Reduced dimension
     */
    constructor(init?: 'uniform' | 'root3' | 'normal', rd?: number | null);
    _init: "normal" | "uniform" | "root3";
    _rd: number;
    /**
     * Returns reduced values.
     * @param {Array<Array<number>>} x Training data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
    _w: Matrix<number>;
}
import Matrix from '../util/matrix.js';
