/**
 * Randomized Budget Perceptron
 */
export default class RBP {
    /**
     * @param {number} b Number of support vectors
     */
    constructor(b: number);
    _b: number;
    _w: any[];
    _c: number;
    _s: any[];
    /**
     * Fit model parameters.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<1 | -1>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<1 | -1>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<number>>): (1 | -1)[];
}
