/**
 * Relative Density-based Outlier Score
 */
export default class RDOS {
    /**
     * @param {number} k Number of neighborhoods
     * @param {number} h Kernel width
     * @param {'gaussian' | { name: 'gaussian' } | function (number[]): number} [kernel] Kernel name
     */
    constructor(k: number, h: number, kernel?: 'gaussian' | {
        name: 'gaussian';
    } | ((arg0: number[]) => number));
    _k: number;
    _h: number;
    _kernel: (x: any) => number;
    _distance(a: any, b: any): number;
    /**
     * Returns anomaly degrees.
     * @param {Array<Array<number>>} datas Training data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
