/**
 * Recursive least squares
 */
export default class RecursiveLeastSquares {
    _w: Matrix<number>;
    _s: Matrix<number>;
    /**
     * Update model parameters with one data.
     * @param {Matrix} x Training data
     * @param {number} y Target value
     */
    update(x: Matrix, y: number): void;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {number[]} y Target values
     */
    fit(x: Array<Array<number>>, y: number[]): void;
    /**
     * Returns predicted datas.
     * @param {Array<Array<number>>} data Sample data
     * @returns {number[]} Predicted values
     */
    predict(data: Array<Array<number>>): number[];
}
import Matrix from '../util/matrix.js';
