/**
 * Relevance vector machine
 */
export default class RVM {
    _alpha: number;
    _beta: number;
    _kernel(x: any, y: any): number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    _x: Matrix<number[]>;
    _cov: Matrix<number>;
    _mean: Matrix<number>;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: Array<Array<number>>): number[];
}
import Matrix from '../util/matrix.js';
