/**
 * Semi-Supervised Support Vector Machine
 */
export default class S3VM {
    /**
     * @param {'gaussian' | 'linear' | { name: 'gaussian', d?: number } | { name: 'linear' } | function (number[], number[]): number} kernel Kernel name
     */
    constructor(kernel: 'gaussian' | 'linear' | {
        name: 'gaussian';
        d?: number;
    } | {
        name: 'linear';
    } | ((arg0: number[], arg1: number[]) => number));
    _b: number;
    _s: number;
    _gammas: any[];
    _rate: number;
    _C: number;
    _Cs: number;
    _kernel: any;
    /**
     * Initialize model.
     * @param {Array<Array<number>>} x Training data
     * @param {(1 | -1 | null)[]} y Target values
     */
    init(x: Array<Array<number>>, y: (1 | -1 | null)[]): void;
    _x: number[][];
    _t: (1 | -1)[];
    _a: any;
    _m: any;
    _k: any[];
    /**
     * Fit model.
     */
    fit(): void;
    _fit_continuation(): void;
    _gamma_idx: number;
    _erfc(z: any): number;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} data Sample data
     * @returns {number[]} Predicted values
     */
    predict(data: Array<Array<number>>): number[];
}
