/**
 * Sammon mapping
 */
export default class Sammon {
    /**
     * @param {Array<Array<number>>} x Sample data
     * @param {number} rd Reduced dimension
     */
    constructor(x: Array<Array<number>>, rd: number);
    _x: number[][];
    _y: Matrix<number>;
    _alpha: number;
    _d: Matrix<number>;
    /**
     * Fit model and returns reduced values.
     * @returns {Array<Array<number>>} Predicted values
     */
    fit(): Array<Array<number>>;
    /**
     * Returns reduced values.
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
