/**
 * Savitzky-Golay filter
 */
export default class SavitzkyGolayFilter {
    /**
     * @param {number} k Number of coefficients
     */
    constructor(k: number);
    _k: number;
    _t: number;
    _w: number[];
    /**
     * Returns predicted values.
     * @param {number[]} x Training data
     * @returns {number[]} Predicted values
     */
    predict(x: number[]): number[];
}
