/**
 * Segmented regression
 */
export default class SegmentedRegression {
    /**
     * @param {number} [seg] Number of segments
     */
    constructor(seg?: number);
    _b: any;
    _seg: number;
    _r: number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>): void;
    _w: Matrix<number>;
    _seps: any[];
    _next_idx(a: any, n: any): boolean;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
