/**
 * Selective sampling Winnow
 */
export default class SelectiveSamplingWinnow {
    /**
     * @param {number} b Smooth parameter
     * @param {boolean} [alpha] Learning rate
     */
    constructor(b: number, alpha?: boolean);
    _b: number;
    _alpha: boolean;
    _w: any[];
    /**
     * Fit model.
     * @param {Array<Array<1 | -1>>} x Training data
     * @param {Array<1 | -1>} y Target values
     */
    fit(x: Array<Array<1 | -1>>, y: Array<1 | -1>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<1 | -1>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<1 | -1>>): (1 | -1)[];
}
