/**
 * Self-training
 */
export default class SelfTraining {
    /**
     * @param {object} model View
     * @param {function (Array<Array<number>>, *[]): void} model.fit Fit model
     * @param {function (Array<Array<number>>): Array<{category: *, score: number}>} model.predict Returns predicted values
     * @param {number} threshold Threshold
     */
    constructor(model: {
        fit: (arg0: Array<Array<number>>, arg1: any[]) => void;
        predict: (arg0: Array<Array<number>>) => Array<{
            category: any;
            score: number;
        }>;
    }, threshold: number);
    _model: {
        fit: (arg0: Array<Array<number>>, arg1: any[]) => void;
        predict: (arg0: Array<Array<number>>) => Array<{
            category: any;
            score: number;
        }>;
    };
    _threshold: number;
    /**
     * Initialize model.
     * @param {Array<Array<number>>} x Training data
     * @param {(* | null)[]} y Target values
     */
    init(x: Array<Array<number>>, y: (any | null)[]): void;
    _x: number[][];
    _y: any[];
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted categories.
     * @returns {(* | null)[]} Predicted values
     */
    predict(): (any | null)[];
}
