/**
 * Sezan's thresholding
 */
export default class SezanThresholding {
    /**
     * @param {number} [gamma] Tradeoff value between black and white
     * @param {number} [sigma] Sigma of normal distribution
     */
    constructor(gamma?: number, sigma?: number);
    _gamma: number;
    _sigma: number;
    _count: number;
    /**
     * Returns thresholded values.
     * @param {number[]} x Training data
     * @returns {(0 | 1)[]} Predicted values
     */
    predict(x: number[]): (0 | 1)[];
    _th: number;
}
