/**
 * Shifting Perceptron Algorithm
 */
export default class ShiftingPerceptron {
    /**
     * @param {number} lambda Rate of weight decay
     */
    constructor(lambda: number);
    _lambda: number;
    _k: number;
    _l: number;
    _w: any[];
    _c: number;
    /**
     * Fit model parameters.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<1 | -1>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<1 | -1>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<number>>): (1 | -1)[];
}
