/**
 * Sliced inverse regression
 */
export default class SlicedInverseRegression {
    /**
     * @param {number} s Number of slices
     * @param {number | null} [rd] Reduced dimension
     */
    constructor(s: number, rd?: number | null);
    _s: number;
    _rd: number;
    /**
     * Returns reduced datas.
     * @param {Array<Array<number>>} x Training data
     * @param {number[]} y Target values
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>, y: number[]): Array<Array<number>>;
}
