/**
 * Spherical linear interpolation
 */
export default class Slerp {
    /**
     * @param {number} [o] Angle subtended by the arc
     */
    constructor(o?: number);
    _o: number;
    _sino: number;
    /**
     * Fit model.
     * @param {number[]} x Training data
     * @param {number[]} y Target values
     */
    fit(x: number[], y: number[]): void;
    _x: number[];
    _y: number[];
    /**
     * Returns predicted interpolated values.
     * @param {number[]} target Sample data
     * @returns {number[]} Predicted values
     */
    predict(target: number[]): number[];
}
