/**
 * slice sampling
 */
export default class SliceSampling {
    /**
     * @param {function (number[]): number} targetFunc Target distribution
     * @param {number} d Output size
     * @param {number} [w] Check width
     */
    constructor(targetFunc: (arg0: number[]) => number, d: number, w?: number);
    _f: (arg0: number[]) => number;
    _d: number;
    _w: number;
    /**
     * Returns sampled values.
     * @param {number} n Number of generated data
     * @returns {Array<Array<number>>} Generated values
     */
    sample(n: number): Array<Array<number>>;
    _sample_hyperrectangle(n: any): number[][];
}
