/**
 * Smoothstep interpolation
 */
export default class SmoothstepInterpolation {
    /**
     * @param {number} [n] Order
     */
    constructor(n?: number);
    _n: number;
    _c(n: any, k: any): number;
    _s(t: any): number;
    /**
     * Fit model.
     * @param {number[]} x Training data
     * @param {number[]} y Target values
     */
    fit(x: number[], y: number[]): void;
    _x: number[];
    _y: number[];
    /**
     * Returns predicted interpolated values.
     * @param {number[]} target Sample data
     * @returns {number[]} Predicted values
     */
    predict(target: number[]): number[];
}
