/**
 * Soft k-means
 */
export default class SoftKMeans {
    /**
     * @param {number} [beta] Tuning parameter
     */
    constructor(beta?: number);
    _beta: number;
    _c: any[];
    _distance(a: any, b: any): number;
    /**
     * Initialize model.
     * @param {Array<Array<number>>} datas Training data
     */
    init(datas: Array<Array<number>>): void;
    _x: number[][];
    /**
     * Add a new cluster.
     */
    add(): void;
    _responsibility(): number[][];
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted responsibilities.
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(): Array<Array<number>>;
}
