/**
 * Spline smoothing
 */
export default class SmoothingSpline {
    /**
     * @param {number} l Smoothing parameter
     */
    constructor(l: number);
    _l: number;
    /**
     * Fit model.
     * @param {number[]} x Training data
     * @param {number[]} y Target values
     */
    fit(x: number[], y: number[]): void;
    _spline: SplineInterpolation;
    /**
     * Returns predicted values.
     * @param {number[]} data Sample data
     * @returns {number[]} Predicted values
     */
    predict(data: number[]): number[];
}
import SplineInterpolation from './spline_interpolation.js';
