/**
 * Split and merge segmentation
 */
export default class SplitAndMerge {
    /**
     * @param {'variance' | 'uniformity'} [method] Method name
     * @param {number} [threshold] Threshold
     */
    constructor(method?: 'variance' | 'uniformity', threshold?: number);
    _method: "variance" | "uniformity";
    _threshold: number;
    _shouldSplit(data: any): boolean;
    /**
     * Returns predicted segments.
     * @param {Array<Array<Array<number>>>} x Training data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<Array<number>>>): Array<Array<number>>;
    _x: number[][][];
}
