/**
 * Squared-loss Mutual information change point detection
 */
export default class SquaredLossMICPD {
    /**
     * @param {object} model Density ratio estimation model
     * @param {function (Array<Array<number>>, Array<Array<number>>): void} model.fit Fit model
     * @param {function (Array<Array<number>>): number[]} model.predict Returns predicted values
     * @param {number} w Window size
     * @param {number} [take] Take number
     * @param {number} [lag] Lag
     */
    constructor(model: {
        fit: (arg0: Array<Array<number>>, arg1: Array<Array<number>>) => void;
        predict: (arg0: Array<Array<number>>) => number[];
    }, w: number, take?: number, lag?: number);
    _model: {
        fit: (arg0: Array<Array<number>>, arg1: Array<Array<number>>) => void;
        predict: (arg0: Array<Array<number>>) => number[];
    };
    _window: number;
    _take: number;
    _lag: number;
    /**
     * Returns anomaly degrees.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
