/**
 * Singular-spectrum transformation
 */
export default class SST {
    /**
     * @param {number} w Window size
     * @param {number} [take] Take number
     * @param {number} [lag] Lag
     */
    constructor(w: number, take?: number, lag?: number);
    _window: number;
    _take: number;
    _lag: number;
    /**
     * Returns anomaly degrees.
     * @param {number[]} datas Training data
     * @returns {number[]} Predicted values
     */
    predict(datas: number[]): number[];
}
