/**
 * Support vector clustering
 */
export default class SVC {
    /**
     * @param {'gaussian' | 'linear' | { name: 'gaussian', d?: number } | { name: 'linear' } | function (number[], number[]): number} kernel Kernel name
     */
    constructor(kernel: 'gaussian' | 'linear' | {
        name: 'gaussian';
        d?: number;
    } | {
        name: 'linear';
    } | ((arg0: number[], arg1: number[]) => number));
    _kernel: any;
    _C: number;
    _predicts: any[];
    /**
     * Number of clusters
     * @type {number}
     */
    get size(): number;
    /**
     * Initialize this model.
     * @param {Array<Array<number>>} x Training data
     */
    init(x: Array<Array<number>>): void;
    _x: number[][];
    _a: any[];
    _k: any[];
    /**
     * Fit model.
     */
    fit(): void;
    _b_off: number;
    _r: number;
    /**
     * Returns predicted categories.
     * @returns {number[]} Predicted values
     */
    predict(): number[];
}
