/**
 * Support vector regression
 */
export default class SVR {
    /**
     * @param {'gaussian' | 'linear' | { name: 'gaussian', d?: number } | { name: 'linear' } | function (number[], number[]): number} kernel Kernel name
     */
    constructor(kernel: 'gaussian' | 'linear' | {
        name: 'gaussian';
        d?: number;
    } | {
        name: 'linear';
    } | ((arg0: number[], arg1: number[]) => number));
    _kernel: any;
    _C: number;
    _eps: number;
    _tolerance: number;
    /**
     * Initialize this model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     */
    init(x: Array<Array<number>>, y: Array<Array<number>>): void;
    _x: number[][];
    _t: number[];
    _a: any[];
    _b: number;
    _alldata: boolean;
    _err: number[];
    _k: any[];
    /**
     * Fit model.
     */
    fit(): void;
    _fitOnce(): number;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {number[]} Predicted values
     */
    predict(x: Array<Array<number>>): number[];
}
