/**
 * Tighter Budget Perceptron
 */
export default class TighterPerceptron {
    /**
     * @param {number} [beta] Margine
     * @param {number} [p] Cachs size
     * @param {'perceptron' | 'mira' | 'nobias'} [update] Update rule
     */
    constructor(beta?: number, p?: number, update?: 'perceptron' | 'mira' | 'nobias');
    _beta: number;
    _p: number;
    _C: number;
    _update: "perceptron" | "mira" | "nobias";
    _loss: (t: any, y: any) => 0 | 1;
    _w: any[];
    _c: number;
    _a: any[];
    /**
     * Fit model parameters.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<1 | -1>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<1 | -1>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<number>>): (1 | -1)[];
}
