/**
 * Stochastic Neighbor Embedding
 */
export class SNE {
    /**
     * @param {Array<Array<number>>} datas Training data
     * @param {number} [rd] Reduced dimension
     * @param {number} [perplexity] Perplexity
     */
    constructor(datas: Array<Array<number>>, rd?: number, perplexity?: number);
    _x: number[][];
    _epoch: number;
    _rd: number;
    _learning_rate: number;
    _perplexity: number;
    _y: any[][];
    _pj_i(x: any): any[][];
    /**
     * Fit model and returns reduced values.
     * @returns {Array<Array<number>>} Predicted values
     */
    fit(): Array<Array<number>>;
    /**
     * Returns reduced values.
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(): Array<Array<number>>;
}
/**
 * T-distributed Stochastic Neighbor Embedding
 */
export class tSNE {
    /**
     * @param {Array<Array<number>>} datas Training data
     * @param {number} [rd] Reduced dimension
     * @param {number} [perplexity] Perplexity
     */
    constructor(datas: Array<Array<number>>, rd?: number, perplexity?: number);
    _x: number[][];
    _epoch: number;
    _rd: number;
    _learning_rate: number;
    _perplexity: number;
    _y: any[][];
    _pj_i(x: any): any[][];
    /**
     * Fit model and returns reduced values.
     * @returns {Array<Array<number>>} Predicted values
     */
    fit(): Array<Array<number>>;
    /**
     * Returns reduced values.
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(): Array<Array<number>>;
}
