/**
 * Uniform Manifold Approximation and Projection
 */
export default class UMAP {
    /**
     * @param {Array<Array<number>>} datas Training data
     * @param {number} rd Reduced dimension
     * @param {number} [n] Number of neighborhoods
     * @param {number} [min_dist] Minimum distance
     */
    constructor(datas: Array<Array<number>>, rd: number, n?: number, min_dist?: number);
    _x: number[][][];
    _rd: number;
    _n: number;
    _min_dist: number;
    _neg_samples: number;
    _d(a: any, b: any): number;
    _init(): void;
    _w: Matrix<any>;
    _y: number[][];
    _alpha: number;
    _epoch: number;
    _a: number;
    _b: number;
    /**
     * Fit model and returns reduced values.
     * @returns {Array<Array<number>>} Predicted values
     */
    fit(): Array<Array<number>>;
    /**
     * Returns reduced values.
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
