/**
 * Vector Autoregressive model
 */
export default class VAR {
    /**
     * @param {number} p Order
     */
    constructor(p: number);
    _p: number;
    /**
     * Fit model.
     * @param {Array<Array<number>>} data Training data
     */
    fit(data: Array<Array<number>>): void;
    _yuleWalker(x: any): void;
    _phi: any[];
    _levinson(x: any): void;
    /**
     * Returns predicted future values.
     * @param {Array<Array<number>>} data Sample data
     * @param {number} k Prediction count
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(data: Array<Array<number>>, k: number): Array<Array<number>>;
}
