/**
 * Voted-perceptron
 */
export default class VotedPerceptron {
    /**
     * @param {number} [rate] Learning rate
     */
    constructor(rate?: number);
    _r: number;
    _v: any[];
    _b: any[];
    _c: any[];
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<1 | -1>} y Target values
     */
    fit(x: Array<Array<number>>, y: Array<1 | -1>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<number>>): (1 | -1)[];
}
