/**
 * Weighted least squares
 */
export default class WeightedLeastSquares {
    /**
     * Fit model.
     * @param {Array<Array<number>>} x Training data
     * @param {Array<Array<number>>} y Target values
     * @param {Array<number>} w Weight values
     */
    fit(x: Array<Array<number>>, y: Array<Array<number>>, w: Array<number>): void;
    _w: Matrix<number>;
    /**
     * Returns predicted values.
     * @param {Array<Array<number>>} x Sample data
     * @returns {Array<Array<number>>} Predicted values
     */
    predict(x: Array<Array<number>>): Array<Array<number>>;
}
import Matrix from '../util/matrix.js';
