/**
 * Winnow
 */
export default class Winnow {
    /**
     * @param {boolean} [alpha] Learning rate
     * @param {number} [threshold] Threshold
     * @param {1 | 2} [version] Version of model
     */
    constructor(alpha?: boolean, threshold?: number, version?: 1 | 2);
    _alpha: boolean;
    _th: number;
    _th_org: number;
    _v: 2 | 1;
    _w: any[];
    /**
     * Fit model.
     * @param {Array<Array<0 | 1>>} x Training data
     * @param {Array<1 | -1>} y Target values
     */
    fit(x: Array<Array<0 | 1>>, y: Array<1 | -1>): void;
    /**
     * Returns predicted values.
     * @param {Array<Array<0 | 1>>} data Sample data
     * @returns {(1 | -1)[]} Predicted values
     */
    predict(data: Array<Array<0 | 1>>): (1 | -1)[];
}
