/**
 * Yeo-Johnson power transformation
 */
export default class YeoJohnson {
    /**
     * @param {number} [lambda] Lambda
     */
    constructor(lambda?: number);
    _lambda: number;
    _lambda_cand: number[];
    _cdf(x: any): number;
    _ppf(x: any): any;
    _j(x: any, l: any): number;
    _t(v: any, l: any): number;
    _it(v: any, l: any): number;
    /**
     * Fit model.
     * @param {number[] | Array<Array<number>>} x Training data
     */
    fit(x: number[] | Array<Array<number>>): void;
    /**
     * Returns transformed values.
     * @param {number[] | Array<Array<number>>} x Sample data
     * @returns {number[] | Array<Array<number>>} Predicted values
     */
    predict(x: number[] | Array<Array<number>>): number[] | Array<Array<number>>;
    /**
     * Returns inverse transformed values.
     * @param {number[] | Array<Array<number>>} z Sample data
     * @returns {number[] | Array<Array<number>>} Predicted values
     */
    inverse(z: number[] | Array<Array<number>>): number[] | Array<Array<number>>;
}
