/**
 * Yinyang k-Means algorithm
 */
export default class YinyangKMeans {
    /**
     * @param {number} k Number of clusters
     * @param {number} [t] Number of groups
     */
    constructor(k: number, t?: number);
    _k: number;
    _t: number;
    _c: any[];
    _d: (a: any, b: any) => number;
    /**
     * Centroids
     * @type {Array<Array<number>>}
     */
    get centroids(): number[][];
    /**
     * Initialize this model.
     * @param {Array<Array<number>>} datas Training data
     */
    init(datas: Array<Array<number>>): void;
    _x: number[][];
    _g: any[][];
    _b: number[];
    _ub: any[];
    _lb: any[];
    /**
     * Fit model.
     */
    fit(): void;
    /**
     * Returns predicted categories.
     * @param {Array<Array<number>>} datas Sample data
     * @returns {number[]} Predicted values
     */
    predict(datas: Array<Array<number>>): number[];
}
