/**
 * Zero-inflated poisson
 */
export default class ZeroInflatedPoisson {
    /**
     * @param {'moments' | 'maximum_likelihood'} [method] Method name
     */
    constructor(method?: 'moments' | 'maximum_likelihood');
    _method: "moments" | "maximum_likelihood";
    /**
     * Fit model.
     * @param {number[]} x Training data
     */
    fit(x: number[]): void;
    _mo(x: any): void;
    _l: number;
    _pi: number;
    _lambert_w(z: any): number;
    _ml(x: any): void;
    /**
     * Returns predicted probabilities.
     * @param {number[]} x Sample data
     * @returns {number[]} Predicted values
     */
    probability(x: number[]): number[];
}
