/**
 * Acrobot environment
 */
export default class AcrobotRLEnvironment extends RLEnvironmentBase {
    _theta1: number;
    _theta2: number;
    _dtheta1: number;
    _dtheta2: number;
    _link_len1: number;
    _link_len2: number;
    _link_mass1: number;
    _link_mass2: number;
    _link_com_pos1: number;
    _link_com_pos2: number;
    _moi: number;
    _max_vel1: number;
    _max_vel2: number;
    _g: number;
    _dt: number;
    _max_step: number;
    _reward: {
        goal: number;
        step: number;
        fail: number;
    };
    get actions(): number[][];
    get states(): RLRealRange[];
    reset(): number[];
    state(): number[];
    setState(state: any): void;
    test(state: any, action: any): {
        state: any[];
        reward: number;
        done: boolean;
    };
}
import { RLEnvironmentBase } from './base.js';
import { RLRealRange } from './base.js';
