/**
 * Blackjack environment
 */
export default class BlackjackRLEnvironment extends RLEnvironmentBase {
    _deck: Deck;
    _dealer_hands: any[];
    _player_hands: any[];
    _done: boolean;
    _reward: {
        bust: number;
        win: number;
        step: number;
    };
    get actions(): number[][];
    get states(): (number[] | RLIntRange)[];
    _sumhands(hands: any): any[];
    reset(): any[];
    state(): any[];
    step(action: any): {
        state: any[];
        reward: number;
        done: boolean;
    };
}
import { RLEnvironmentBase } from './base.js';
declare class Deck {
    cards: {
        suit: number;
        value: number;
    }[];
    init(): void;
    shuffle(): void;
    pop(): {
        suit: number;
        value: number;
    };
}
import { RLIntRange } from './base.js';
export {};
