/**
 * Breaker environment
 */
export default class BreakerRLEnvironment extends RLEnvironmentBase {
    _size: number[];
    _padding: number[][];
    _block_size: number[];
    _paddle_baseline: number;
    _paddle_size: number[];
    _ball_radius: number;
    _ball_speed: number;
    _paddle_speed: number;
    _block_positions: number[][];
    _ball_position: number[];
    _paddle_position: number;
    _ball_velocity: number[];
    _block_existances: any[];
    _reward: {
        break: number;
        step: number;
        hit: number;
        goal: number;
        fail: number;
    };
    get actions(): number[][];
    get states(): (number[] | RLRealRange)[];
    reset(): any[];
    state(): any[];
    setState(state: any): void;
    test(state: any, action: any): {
        state: any[];
        reward: number;
        done: any;
    };
    _check_contact(ball_c: any, block_c: any, block_size: any): (number | number[])[];
}
import { RLEnvironmentBase } from './base.js';
import { RLRealRange } from './base.js';
