/**
 * Cartpole environment
 */
export default class CartPoleRLEnvironment extends RLEnvironmentBase {
    _position: number;
    _angle: number;
    _cart_velocity: number;
    _pendulum_velocity: number;
    _cart_weight: number;
    _pendulum_weight: number;
    _pendulum_length: number;
    _g: number;
    _t: number;
    _force: number;
    _fail_position: number;
    _fail_angle: number;
    _max_step: number;
    _reward: {
        goal: number;
        step: number;
        fail: number;
    };
    get actions(): number[][];
    get states(): RLRealRange[];
    reset(): number[];
    state(): number[];
    setState(state: any): void;
    test(state: any, action: any): {
        state: any[];
        reward: number;
        done: boolean;
    };
}
import { RLEnvironmentBase } from './base.js';
import { RLRealRange } from './base.js';
