/**
 * Draughts environment
 */
export default class DraughtsRLEnvironment extends RLEnvironmentBase {
    static EMPTY: number;
    static RED: number;
    static WHITE: number;
    static KING: number;
    static OWN: number;
    static OTHER: number;
    _size: number[];
    _board: DraughtsBoard;
    _reward: {
        win: number;
        lose: number;
        step: number;
    };
    get actions(): number[][];
    get states(): number[][];
    set evaluation(func: any);
    _evaluation: (board: any, turn: any) => any;
    _makeState(board: any, agentturn: any, gameturn: any): any[];
    _state2board(state: any, turn: any): DraughtsBoard;
    _checkAgent(agent: any): void;
    reset(): any[];
    _agents: number[];
    _turn: any;
    state(agent: any): any[];
    setState(state: any, agent: any): void;
    step(action: any, agent: any): {
        state: any[];
        reward: number;
        done: boolean;
        invalid?: boolean;
    };
    test(state: any, action: any, agent: any): {
        state: any;
        reward: number;
        done: boolean;
        invalid: boolean;
    } | {
        state: any[];
        reward: number;
        done: boolean;
        invalid?: undefined;
    };
}
import { RLEnvironmentBase } from './base.js';
declare class DraughtsBoard {
    constructor(size: any, evaluator: any);
    _evaluator: any;
    _size: any;
    _lines: number;
    get size(): any;
    get count(): {
        red: any;
        white: any;
        redking: any;
        whiteking: any;
    };
    get finish(): boolean;
    get winner(): 2 | 4;
    toString(): string;
    nextTurn(turn: any): 2 | 4;
    copy(): DraughtsBoard;
    score(turn: any): any;
    _num_to_pos(n: any): any;
    at(p: any): any;
    set(p: any, turn: any): boolean;
    reset(): void;
    _board: any[];
    choices(turn: any): any[];
    allPath(x: any, y: any, turn: any, first?: boolean): any;
}
export {};
