/**
 * In-hypercube environment
 */
export default class InHypercubeRLEnvironment extends RLEnvironmentBase {
    /**
     * @param {number} [d] Dimension of the environment
     */
    constructor(d?: number);
    _d: number;
    _position: any[];
    _velocity: any[];
    _force: number;
    _success_dim: number;
    _fail_position: number;
    _max_step: number;
    _reward: {
        goal: number;
        step: number;
        fail: number;
    };
    get actions(): number[][];
    get states(): RLRealRange[];
    reset(): any[];
    state(): any[];
    setState(state: any): void;
    test(state: any, action: any): {
        state: any[];
        reward: number;
        done: any;
    };
}
import { RLEnvironmentBase } from './base.js';
import { RLRealRange } from './base.js';
