/**
 * Smooth maze environment
 */
export default class SmoothMazeRLEnvironment extends RLEnvironmentBase {
    /**
     * @param {number} width Area width
     * @param {number} height Area height
     */
    constructor(width: number, height: number);
    _width: number;
    _height: number;
    _points: any[];
    _map_resolution: number[];
    _goal_size: number[];
    _position: any[];
    _orient: number;
    _velocity: number;
    _rotate: number;
    _max_step: number;
    __map: any[][];
    _reward: {
        step: number;
        wall: number;
        goal: number;
        fail: number;
    };
    get actions(): number[][];
    get states(): (RLRealRange | RLIntRange)[];
    get map(): any[][];
    reset(): any[];
    state(): any[];
    setState(state: any): void;
    test(state: any, action: any): {
        state: any[];
        reward: number;
        done: boolean;
    };
}
import { RLEnvironmentBase } from './base.js';
import { RLRealRange } from './base.js';
import { RLIntRange } from './base.js';
