/**
 * Waterball environment
 */
export default class WaterballRLEnvironment extends RLEnvironmentBase {
    /**
     * @param {number} width Area width
     * @param {number} height Area height
     */
    constructor(width: number, height: number);
    _width: number;
    _height: number;
    _agent_p: number[];
    _agent_v: number[];
    _balls: any[];
    _ball_min_velocity: number;
    _ball_max_velocity: number;
    _ball_radius: number;
    _sensor_length: number;
    _sensor_count: number;
    _agent_radius: number;
    _agent_max_velocity: number;
    _agent_velocity_step: number;
    _min_position: number[];
    _max_position: number[];
    _max_size: number;
    _history_state_size: number;
    _history_state: any[];
    _sin: number[];
    _cos: number[];
    get actions(): number[][];
    get states(): RLRealRange[];
    __states: RLRealRange[];
    get current_state(): any[];
    addBall(): void;
    reset(): any;
    state(): any;
    __state: any;
    step(action: any): {
        state: any;
        reward: number;
        done: boolean;
    };
}
import { RLEnvironmentBase } from './base.js';
import { RLRealRange } from './base.js';
